Index: branches/feature-module-update/html/mobile/shopping/payment.php
===================================================================
--- branches/rel/html/mobile/shopping/payment.php	(revision 12157)
+++ branches/feature-module-update/html/mobile/shopping/payment.php	(revision 15078)
@@ -17,9 +17,9 @@
 		$this->tpl_mainpage = 'shopping/payment.tpl';
 		$this->tpl_onload = 'fnCheckInputPoint();';
-		$this->tpl_title = "¤ª»ÙÊ§ÊýË¡¤Î»ØÄê";
+		$this->tpl_title = "お支払方法の指定";
 		/*
-		 session_start»þ¤Îno-cache¥Ø¥Ã¥À¡¼¤òÍÞÀ©¤¹¤ë¤³¤È¤Ç
-		 ¡ÖÌá¤ë¡×¥Ü¥¿¥ó»ÈÍÑ»þ¤ÎÍ­¸ú´ü¸ÂÀÚ¤ìÉ½¼¨¤òÍÞÀ©¤¹¤ë¡£
-		 private-no-expire:¥¯¥é¥¤¥¢¥ó¥È¤Î¥­¥ã¥Ã¥·¥å¤òµö²Ä¤¹¤ë¡£
+		 session_start時のno-cacheヘッダーを抑制することで
+		 「戻る」ボタン使用時の有効期限切れ表示を抑制する。
+		 private-no-expire:クライアントのキャッシュを許可する。
 		*/
 		session_cache_limiter('private-no-expire');		
@@ -35,17 +35,17 @@
 $arrInfo = $objSiteInfo->data;
 
-// ¥Ñ¥é¥á¡¼¥¿´ÉÍý¥¯¥é¥¹
+// パラメータ管理クラス
 $objFormParam = new SC_FormParam();
-// ¥Ñ¥é¥á¡¼¥¿¾ðÊó¤Î½é´ü²½
+// パラメータ情報の初期化
 lfInitParam();
-// POSTÃÍ¤Î¼èÆÀ
+// POST値の取得
 $objFormParam->setParam($_POST);
 
-// ¥æ¡¼¥¶¥æ¥Ë¡¼¥¯ID¤Î¼èÆÀ¤È¹ØÆþ¾õÂÖ¤ÎÀµÅöÀ­¤ò¥Á¥§¥Ã¥¯
+// ユーザユニークIDの取得と購入状態の正当性をチェック
 $uniqid = sfCheckNormalAccess($objSiteSess, $objCartSess);
-// ¥æ¥Ë¡¼¥¯ID¤ò°ú¤­·Ñ¤°
+// ユニークIDを引き継ぐ
 $objPage->tpl_uniqid = $uniqid;
 
-// ²ñ°÷¥í¥°¥¤¥ó¥Á¥§¥Ã¥¯
+// 会員ログインチェック
 if($objCustomer->isLoginSuccess()) {
 	$objPage->tpl_login = '1';
@@ -53,12 +53,12 @@
 }
 
-// ¶â³Û¤Î¼èÆÀ (¹ØÆþÅÓÃæ¤ÇÇä¤êÀÚ¤ì¤¿¾ì¹ç¤Ë¤Ï¤³¤Î´Ø¿ôÆâ¤Ë¤Æ¤½¤Î¾¦ÉÊ¤Î¸Ä¿ô¤¬£°¤Ë¤Ê¤ë)
+// 金額の取得 (購入途中で売り切れた場合にはこの関数内にてその商品の個数が０になる)
 $objPage = sfTotalCart($objPage, $objCartSess, $arrInfo);
 $objPage->arrData = sfTotalConfirm($arrData, $objPage, $objCartSess, $arrInfo);
 
-// ¥«¡¼ÅÔÆâ¤Î¾¦ÉÊ¤ÎÇä¤êÀÚ¤ì¥Á¥§¥Ã¥¯
+// カー都内の商品の売り切れチェック
 $objCartSess->chkSoldOut($objCartSess->getCartList(), true);
 
-// Ìá¤ë¥Ü¥¿¥ó¤Î½èÍý
+// 戻るボタンの処理
 if (!empty($_POST['return'])) {
 	switch ($_POST['mode']) {
@@ -67,5 +67,5 @@
 		break;
 	default:
-		// Àµ¾ï¤Ê¿ä°Ü¤Ç¤¢¤ë¤³¤È¤òµ­Ï¿¤·¤Æ¤ª¤¯
+		// 正常な推移であることを記録しておく
 		$objSiteSess->setRegistFlag();
 		header("Location: " . gfAddSessionId(MOBILE_URL_SHOP_TOP));
@@ -75,75 +75,75 @@
 
 switch($_POST['mode']) {
-// »ÙÊ§¤¤ÊýË¡»ØÄê ¢ª ÇÛÃ£Æü»þ»ØÄê
+// 支払い方法指定 → 配達日時指定
 case 'deliv_date':
-	// ÆþÎÏÃÍ¤ÎÊÑ´¹
+	// 入力値の変換
 	$objFormParam->convParam();
 	$objPage->arrErr = lfCheckError($objPage->arrData);
 	if (!isset($objPage->arrErr['payment_id'])) {
-		// »ÙÊ§¤¤ÊýË¡¤ÎÆþÎÏ¥¨¥é¡¼¤Ê¤·
+		// 支払い方法の入力エラーなし
 		$objPage->tpl_mainpage = 'shopping/deliv_date.tpl';
-		$objPage->tpl_title = "ÇÛÃ£Æü»þ»ØÄê";
+		$objPage->tpl_title = "配達日時指定";
 		break;
 	} else {
-		// ¥æ¡¼¥¶¥æ¥Ë¡¼¥¯ID¤Î¼èÆÀ
+		// ユーザユニークIDの取得
 		$uniqid = $objSiteSess->getUniqId();
-		// ¼õÃí°ì»þ¥Æ¡¼¥Ö¥ë¤«¤é¤Î¾ðÊó¤ò³ÊÇ¼
+		// 受注一時テーブルからの情報を格納
 		lfSetOrderTempData($uniqid);
 	}
 	break;
 case 'confirm':
-	// ÆþÎÏÃÍ¤ÎÊÑ´¹
+	// 入力値の変換
 	$objFormParam->convParam();
 	$objPage->arrErr = lfCheckError($objPage->arrData );
-	// ÆþÎÏ¥¨¥é¡¼¤Ê¤·
+	// 入力エラーなし
 	if(count($objPage->arrErr) == 0) {
-		// DB¤Ø¤Î¥Ç¡¼¥¿ÅÐÏ¿
+		// DBへのデータ登録
 		lfRegistData($uniqid);
-		// Àµ¾ï¤ËÅÐÏ¿¤µ¤ì¤¿¤³¤È¤òµ­Ï¿¤·¤Æ¤ª¤¯
+		// 正常に登録されたことを記録しておく
 		$objSiteSess->setRegistFlag();
-		// ³ÎÇ§¥Ú¡¼¥¸¤Ø°ÜÆ°
+		// 確認ページへ移動
 		header("Location: " . gfAddSessionId(MOBILE_URL_SHOP_CONFIRM));
 		exit;
 	}else{
-		// ¥æ¡¼¥¶¥æ¥Ë¡¼¥¯ID¤Î¼èÆÀ
+		// ユーザユニークIDの取得
 		$uniqid = $objSiteSess->getUniqId();
-		// ¼õÃí°ì»þ¥Æ¡¼¥Ö¥ë¤«¤é¤Î¾ðÊó¤ò³ÊÇ¼
+		// 受注一時テーブルからの情報を格納
 		lfSetOrderTempData($uniqid);
 		if (!isset($objPage->arrErr['payment_id'])) {
-			// »ÙÊ§¤¤ÊýË¡¤ÎÆþÎÏ¥¨¥é¡¼¤Ê¤·
+			// 支払い方法の入力エラーなし
 			$objPage->tpl_mainpage = 'shopping/deliv_date.tpl';
-			$objPage->tpl_title = "ÇÛÃ£Æü»þ»ØÄê";
-		}
-	}
-	break;
-// Á°¤Î¥Ú¡¼¥¸¤ËÌá¤ë
+			$objPage->tpl_title = "配達日時指定";
+		}
+	}
+	break;
+// 前のページに戻る
 case 'return':
-	// Èó²ñ°÷¤Î¾ì¹ç
-	// Àµ¾ï¤Ê¿ä°Ü¤Ç¤¢¤ë¤³¤È¤òµ­Ï¿¤·¤Æ¤ª¤¯
+	// 非会員の場合
+	// 正常な推移であることを記録しておく
 	$objSiteSess->setRegistFlag();
 	header("Location: " . gfAddSessionId(MOBILE_URL_SHOP_TOP));
 	exit;
 	break;
-// »ÙÊ§¤¤ÊýË¡¤¬ÊÑ¹¹¤µ¤ì¤¿¾ì¹ç
+// 支払い方法が変更された場合
 case 'payment':
-	// ¤³¤³¤Îbreak¤Ï¡¢°ÕÌ£¤¬¤¢¤ë¤Î¤Ç³°¤µ¤Ê¤¤¤Ç²¼¤µ¤¤¡£
+	// ここのbreakは、意味があるので外さないで下さい。
 	break;
 default:
-	// ¼õÃí°ì»þ¥Æ¡¼¥Ö¥ë¤«¤é¤Î¾ðÊó¤ò³ÊÇ¼
+	// 受注一時テーブルからの情報を格納
 	lfSetOrderTempData($uniqid);
 	break;
 }
 
-// Å¹ÊÞ¾ðÊó¤Î¼èÆÀ
+// 店舗情報の取得
 $arrInfo = $objSiteInfo->data;
-// ¹ØÆþ¶â³Û¤Î¼èÆÀÆÀ
+// 購入金額の取得得
 $total_pretax = $objCartSess->getAllProductsTotal($arrInfo);
-// »ÙÊ§¤¤ÊýË¡¤Î¼èÆÀ
+// 支払い方法の取得
 $objPage->arrPayment = lfGetPayment($total_pretax);
-// ÇÛÁ÷»þ´Ö¤Î¼èÆÀ
+// 配送時間の取得
 $arrRet = sfGetDelivTime($objFormParam->getValue('payment_id'));
 $objPage->arrDelivTime = sfArrKeyValue($arrRet, 'time_id', 'deliv_time');
 $objPage->objCustomer = $objCustomer;
-//¡¡ÇÛÁ÷Æü°ìÍ÷¤Î¼èÆÀ
+//　配送日一覧の取得
 $objPage->arrDelivDate = lfGetDelivDate();
 
@@ -153,13 +153,13 @@
 $objView->display(SITE_FRAME);
 //--------------------------------------------------------------------------------------------------------------------------
-/* ¥Ñ¥é¥á¡¼¥¿¾ðÊó¤Î½é´ü²½ */
+/* パラメータ情報の初期化 */
 function lfInitParam() {
 	global $objFormParam;
-	$objFormParam->addParam("¤ª»ÙÊ§¤¤ÊýË¡", "payment_id", INT_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
-	$objFormParam->addParam("¥Ý¥¤¥ó¥È", "use_point", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK", "ZERO_START"));
-	$objFormParam->addParam("ÇÛÃ£»þ´Ö", "deliv_time_id", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
-	$objFormParam->addParam("¤´¼ÁÌä", "message", LTEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
-	$objFormParam->addParam("¥Ý¥¤¥ó¥È¤ò»ÈÍÑ¤¹¤ë", "point_check", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"), '2');
-	$objFormParam->addParam("ÇÛÃ£Æü", "deliv_date", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK"));
+	$objFormParam->addParam("お支払い方法", "payment_id", INT_LEN, "n", array("EXIST_CHECK", "MAX_LENGTH_CHECK", "NUM_CHECK"));
+	$objFormParam->addParam("ポイント", "use_point", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK", "ZERO_START"));
+	$objFormParam->addParam("配達時間", "deliv_time_id", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"));
+	$objFormParam->addParam("ご質問", "message", LTEXT_LEN, "KVa", array("SPTAB_CHECK", "MAX_LENGTH_CHECK"));
+	$objFormParam->addParam("ポイントを使用する", "point_check", INT_LEN, "n", array("MAX_LENGTH_CHECK", "NUM_CHECK"), '2');
+	$objFormParam->addParam("配達日", "deliv_date", STEXT_LEN, "KVa", array("MAX_LENGTH_CHECK"));
 }
 
@@ -167,24 +167,24 @@
 	$objQuery = new SC_Query();
 	$objQuery->setorder("rank DESC");
-	//ºï½ü¤µ¤ì¤Æ¤¤¤Ê¤¤»ÙÊ§ÊýË¡¤ò¼èÆÀ
+	//削除されていない支払方法を取得
 	$arrRet = $objQuery->select("payment_id, payment_method, rule, upper_rule, note, payment_image", "dtb_payment", "del_flg = 0 AND deliv_id IN (SELECT deliv_id FROM dtb_deliv WHERE del_flg = 0) ");
-	//ÍøÍÑ¾ò·ï¤«¤é»ÙÊ§²ÄÇ½ÊýË¡¤òÈ½Äê
+	//利用条件から支払可能方法を判定
 	foreach($arrRet as $data) {
-		//²¼¸Â¤È¾å¸Â¤¬ÀßÄê¤µ¤ì¤Æ¤¤¤ë
+		//下限と上限が設定されている
 		if($data['rule'] > 0 && $data['upper_rule'] > 0) {
 			if($data['rule'] <= $total_pretax && $data['upper_rule'] >= $total_pretax) {
 				$arrPayment[] = $data;
 			}
-		//²¼¸Â¤Î¤ßÀßÄê¤µ¤ì¤Æ¤¤¤ë
+		//下限のみ設定されている
 		} elseif($data['rule'] > 0) {	
 			if($data['rule'] <= $total_pretax) {
 				$arrPayment[] = $data;
 			}
-		//¾å¸Â¤Î¤ßÀßÄê¤µ¤ì¤Æ¤¤¤ë
+		//上限のみ設定されている
 		} elseif($data['upper_rule'] > 0) {
 			if($data['upper_rule'] >= $total_pretax) {
 				$arrPayment[] = $data;
 			}
-		//ÀßÄê¤Ê¤·
+		//設定なし
 		} else {
 			$arrPayment[] = $data;
@@ -194,9 +194,9 @@
 }
 
-/* ÆþÎÏÆâÍÆ¤Î¥Á¥§¥Ã¥¯ */
+/* 入力内容のチェック */
 function lfCheckError($arrData) {
 	global $objFormParam;
 	global $objCustomer;
-	// ÆþÎÏ¥Ç¡¼¥¿¤òÅÏ¤¹¡£
+	// 入力データを渡す。
 	$arrRet =  $objFormParam->getHashArray();
 	$objErr = new SC_CheckError($arrRet);
@@ -204,6 +204,6 @@
 	
 	if($_POST['point_check'] == '1') {
-		$objErr->doFunc(array("¥Ý¥¤¥ó¥È¤ò»ÈÍÑ¤¹¤ë", "point_check"), array("EXIST_CHECK"));
-		$objErr->doFunc(array("¥Ý¥¤¥ó¥È", "use_point"), array("EXIST_CHECK"));
+		$objErr->doFunc(array("ポイントを使用する", "point_check"), array("EXIST_CHECK"));
+		$objErr->doFunc(array("ポイント", "use_point"), array("EXIST_CHECK"));
 		$max_point = $objCustomer->getValue('point');
 		if($max_point == "") {
@@ -211,8 +211,8 @@
 		}
 		if($arrRet['use_point'] > $max_point) {
-			$objErr->arrErr['use_point'] = "¢¨ ¤´ÍøÍÑ¥Ý¥¤¥ó¥È¤¬½ê»ý¥Ý¥¤¥ó¥È¤òÄ¶¤¨¤Æ¤¤¤Þ¤¹¡£<br>";
+			$objErr->arrErr['use_point'] = "※ ご利用ポイントが所持ポイントを超えています。<br>";
 		}
 		if(($arrRet['use_point'] * POINT_VALUE) > $arrData['subtotal']) {
-			$objErr->arrErr['use_point'] = "¢¨ ¤´ÍøÍÑ¥Ý¥¤¥ó¥È¤¬¤´¹ØÆþ¶â³Û¤òÄ¶¤¨¤Æ¤¤¤Þ¤¹¡£<br>";
+			$objErr->arrErr['use_point'] = "※ ご利用ポイントがご購入金額を超えています。<br>";
 		}
 	}
@@ -220,5 +220,5 @@
 }
 
-/* »ÙÊ§¤¤ÊýË¡Ê¸»úÎó¤Î¼èÆÀ */
+/* 支払い方法文字列の取得 */
 function lfGetPaymentInfo($payment_id) {
 	$objQuery = new SC_Query();
@@ -228,5 +228,5 @@
 }
 
-/* ÇÛÁ÷»þ´ÖÊ¸»úÎó¤Î¼èÆÀ */
+/* 配送時間文字列の取得 */
 function lfGetDelivTimeInfo($time_id) {
 	$objQuery = new SC_Query();
@@ -236,10 +236,10 @@
 }
 
-/* DB¤Ø¥Ç¡¼¥¿¤ÎÅÐÏ¿ */
+/* DBへデータの登録 */
 function lfRegistData($uniqid) {
 	global $objFormParam;
 	$arrRet = $objFormParam->getHashArray();
 	$sqlval = $objFormParam->getDbArray();
-	// ÅÐÏ¿¥Ç¡¼¥¿¤ÎºîÀ®
+	// 登録データの作成
 	$sqlval['order_temp_id'] = $uniqid;
 	$sqlval['update_date'] = 'Now()';
@@ -260,5 +260,5 @@
 	}
 	
-	// »ÈÍÑ¥Ý¥¤¥ó¥È¤ÎÀßÄê
+	// 使用ポイントの設定
 	if($sqlval['point_check'] != '1') {
 		$sqlval['use_point'] = 0;
@@ -268,9 +268,9 @@
 }
 
-/* ÇÛÃ£Æü°ìÍ÷¤ò¼èÆÀ¤¹¤ë */
+/* 配達日一覧を取得する */
 function lfGetDelivDate() {
 	$objCartSess = new SC_CartSession();
 	$objQuery = new SC_Query();
-	// ¾¦ÉÊID¤Î¼èÆÀ
+	// 商品IDの取得
 	$max = $objCartSess->getMax();
 	for($i = 1; $i <= $max; $i++) {
@@ -281,50 +281,50 @@
 	if(count($arrID['product_id']) > 0) {
 		$id = implode(",", $arrID['product_id']);
-		//¾¦ÉÊ¤«¤éÈ¯Á÷ÌÜ°Â¤Î¼èÆÀ
+		//商品から発送目安の取得
 		$deliv_date = $objQuery->get("dtb_products", "MAX(deliv_date_id)", "product_id IN (".$id.")");
-		//È¯Á÷ÌÜ°Â
+		//発送目安
 		switch($deliv_date) {
-		//Â¨ÆüÈ¯Á÷
+		//即日発送
 		case '1':
 			$start_day = 1;
 			break;
-		//1-2Æü¸å
+		//1-2日後
 		case '2':
 			$start_day = 3;
 			break;
-		//3-4Æü¸å
+		//3-4日後
 		case '3':
 			$start_day = 5;
 			break;
-		//1½µ´Ö°ÊÆâ
+		//1週間以内
 		case '4':
 			$start_day = 8;
 			break;
-		//2½µ´Ö°ÊÆâ
+		//2週間以内
 		case '5':
 			$start_day = 15;
 			break;
-		//3½µ´Ö°ÊÆâ
+		//3週間以内
 		case '6':
 			$start_day = 22;
 			break;
-		//1¥ö·î°ÊÆâ
+		//1ヶ月以内
 		case '7':
 			$start_day = 32;
 			break;
-		//2¥ö·î°Ê¹ß
+		//2ヶ月以降
 		case '8':
 			$start_day = 62;			
 			break;
-		//¤ª¼è¤ê´ó¤»(¾¦ÉÊÆþ²Ù¸å)
+		//お取り寄せ(商品入荷後)
 		case '9':
 			$start_day = "";
 			break;
 		default:
-			//¤ªÆÏ¤±Æü¤¬ÀßÄê¤µ¤ì¤Æ¤¤¤Ê¤¤¾ì¹ç
+			//お届け日が設定されていない場合
 			$start_day = "";
 			break;
 		}
-		//ÇÛÃ£²ÄÇ½Æü¤Î¥¹¥¿¡¼¥ÈÃÍ¤«¤é¡¢ÇÛÃ£Æü¤ÎÇÛÎó¤ò¼èÆÀ¤¹¤ë
+		//配達可能日のスタート値から、配達日の配列を取得する
 		$arrDelivDate = lfGetDateArray($start_day, DELIV_DATE_END_MAX);
 	}
@@ -332,14 +332,14 @@
 }
 
-//ÇÛÃ£²ÄÇ½Æü¤Î¥¹¥¿¡¼¥ÈÃÍ¤«¤é¡¢ÇÛÃ£Æü¤ÎÇÛÎó¤ò¼èÆÀ¤¹¤ë
+//配達可能日のスタート値から、配達日の配列を取得する
 function lfGetDateArray($start_day, $end_day) {
 	global $arrWDAY;
-	//ÇÛÃ£²ÄÇ½Æü¤Î¥¹¥¿¡¼¥ÈÃÍ¤¬¥»¥Ã¥È¤µ¤ì¤Æ¤¤¤ì¤Ð
+	//配達可能日のスタート値がセットされていれば
 	if($start_day >= 1) {
 		$now_time = time();
 		$max_day = $start_day + $end_day;
-		// ½¸·×
+		// 集計
 		for ($i = $start_day; $i < $max_day; $i++) {
-			// ´ðËÜ»þ´Ö¤«¤éÆü¿ô¤òÄÉ²Ã¤·¤Æ¤¤¤¯
+			// 基本時間から日数を追加していく
 			$tmp_time = $now_time + ($i * 24 * 3600);
 			list($y, $m, $d, $w) = split(" ", date("y m d w", $tmp_time));	
@@ -353,5 +353,5 @@
 }
 
-//°ì»þ¼õÃí¥Æ¡¼¥Ö¥ë¤«¤é¤Î¾ðÊó¤ò³ÊÇ¼¤¹¤ë
+//一時受注テーブルからの情報を格納する
 function lfSetOrderTempData($uniqid) {
 	global $objQuery;
@@ -363,5 +363,5 @@
 	$where = "order_temp_id = ?";
 	$arrRet = $objQuery->select($col, $from, $where, array($uniqid));
-	// DBÃÍ¤Î¼èÆÀ
+	// DB値の取得
 	$objFormParam->setParam($arrRet[0]);
 	return $objFormParam;