Index: branches/feature-module-update/data/downloads/module/affiliate.php
===================================================================
--- branches/feature-module-update/data/downloads/module/affiliate.php	(revision 15079)
+++ branches/feature-module-update/data/downloads/module/affiliate.php	(revision 15080)
@@ -3,5 +3,5 @@
  * 
  * @copyright	2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- * @version	CVS: $Id: affiliate.php 8813 2006-12-04 05:24:35Z kakinaka $
+ * @version	CVS: $Id$
  * @link		http://www.lockon.co.jp/
  *
Index: branches/feature-module-update/data/downloads/module/mdl_remise/mdl_remise.php
===================================================================
--- branches/feature-module-update/data/downloads/module/mdl_remise/mdl_remise.php	(revision 15079)
+++ branches/feature-module-update/data/downloads/module/mdl_remise/mdl_remise.php	(revision 15080)
@@ -3,5 +3,5 @@
  * 
  * @copyright	2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- * @version	CVS: $Id: mdl_remise.php 1.0 2007-02-05 06:08:28Z inoue $
+ * @version	CVS: $Id$
  * @link		http://www.lockon.co.jp/
  *
Index: branches/feature-module-update/data/downloads/module/ebis_tag.php
===================================================================
--- branches/feature-module-update/data/downloads/module/ebis_tag.php	(revision 15079)
+++ branches/feature-module-update/data/downloads/module/ebis_tag.php	(revision 15080)
@@ -3,5 +3,5 @@
  * 
  * @copyright	2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- * @version	CVS: $Id: ebis_tag.php 7224 2006-11-19 06:38:01Z kakinaka $
+ * @version	CVS: $Id$
  * @link		http://www.lockon.co.jp/
  *
Index: branches/feature-module-update/data/downloads/module/mdl_epsilon/mdl_epsilon.php
===================================================================
--- branches/feature-module-update/data/downloads/module/mdl_epsilon/mdl_epsilon.php	(revision 15079)
+++ branches/feature-module-update/data/downloads/module/mdl_epsilon/mdl_epsilon.php	(revision 15080)
@@ -3,5 +3,5 @@
  * 
  * @copyright	2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- * @version	CVS: $Id: mdl_epsilon.php 1.2 2006-12-04 06:08:28Z kakinaka $
+ * @version	CVS: $Id$
  * @link		http://www.lockon.co.jp/
  *
Index: branches/feature-module-update/data/downloads/module/security/security.php
===================================================================
--- branches/feature-module-update/data/downloads/module/security/security.php	(revision 15079)
+++ branches/feature-module-update/data/downloads/module/security/security.php	(revision 15080)
@@ -3,5 +3,5 @@
  * 
  * @copyright	2000-2006 LOCKON CO.,LTD. All Rights Reserved.
- * @version	CVS: $Id: ebis_tag.php,v 1.0 2006/10/26 04:02:40 naka Exp $
+ * @version	CVS: $Id$
  * @link		http://www.lockon.co.jp/
  *
Index: branches/feature-module-update/data/module/Mail/mime.php
===================================================================
--- branches/feature-module-update/data/module/Mail/mime.php	(revision 15079)
+++ branches/feature-module-update/data/module/Mail/mime.php	(revision 15080)
@@ -36,5 +36,5 @@
 // +-----------------------------------------------------------------------+
 //
-// $Id: mime.php,v 1.39 2005/06/13 21:24:16 cipri Exp $
+// $Id$
 
 require_once(dirname(__FILE__) . '/../PEAR.php');
Index: branches/feature-module-update/data/module/DB/dbase.php
===================================================================
--- branches/feature-module-update/data/module/DB/dbase.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/dbase.php	(revision 15080)
@@ -21,5 +21,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: dbase.php 3 2006-08-23 03:04:20Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/DB/mysqli.php
===================================================================
--- branches/feature-module-update/data/module/DB/mysqli.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/mysqli.php	(revision 15080)
@@ -20,5 +20,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: mysqli.php 3 2006-08-23 03:04:20Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/DB/mssql.php
===================================================================
--- branches/feature-module-update/data/module/DB/mssql.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/mssql.php	(revision 15080)
@@ -21,5 +21,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: mssql.php 3 2006-08-23 03:04:20Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/DB/sqlite.php
===================================================================
--- branches/feature-module-update/data/module/DB/sqlite.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/sqlite.php	(revision 15080)
@@ -22,5 +22,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0 3.0
- * @version    CVS: $Id: sqlite.php 3 2006-08-23 03:04:20Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/DB/oci8.php
===================================================================
--- branches/feature-module-update/data/module/DB/oci8.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/oci8.php	(revision 15080)
@@ -21,5 +21,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: oci8.php 3 2006-08-23 03:04:20Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/DB/ibase.php
===================================================================
--- branches/feature-module-update/data/module/DB/ibase.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/ibase.php	(revision 15080)
@@ -24,5 +24,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: ibase.php 3 2006-08-23 03:04:20Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/DB/storage.php
===================================================================
--- branches/feature-module-update/data/module/DB/storage.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/storage.php	(revision 15080)
@@ -19,5 +19,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: storage.php 3 2006-08-23 03:04:20Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/DB/mysql.php
===================================================================
--- branches/feature-module-update/data/module/DB/mysql.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/mysql.php	(revision 15080)
@@ -21,5 +21,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: mysql.php 3952 2006-09-20 09:42:25Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/DB/ifx.php
===================================================================
--- branches/feature-module-update/data/module/DB/ifx.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/ifx.php	(revision 15080)
@@ -21,5 +21,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: ifx.php 3 2006-08-23 03:04:20Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/DB/pgsql.php
===================================================================
--- branches/feature-module-update/data/module/DB/pgsql.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/pgsql.php	(revision 15080)
@@ -22,5 +22,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: pgsql.php 4789 2006-10-12 07:21:37Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/DB/sybase.php
===================================================================
--- branches/feature-module-update/data/module/DB/sybase.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/sybase.php	(revision 15080)
@@ -22,5 +22,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: sybase.php 3 2006-08-23 03:04:20Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/DB/fbsql.php
===================================================================
--- branches/feature-module-update/data/module/DB/fbsql.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/fbsql.php	(revision 15080)
@@ -21,5 +21,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: fbsql.php 3 2006-08-23 03:04:20Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/DB/odbc.php
===================================================================
--- branches/feature-module-update/data/module/DB/odbc.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/odbc.php	(revision 15080)
@@ -21,5 +21,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: odbc.php 3 2006-08-23 03:04:20Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/DB/common.php
===================================================================
--- branches/feature-module-update/data/module/DB/common.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/common.php	(revision 15080)
@@ -21,5 +21,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: common.php 8911 2006-12-05 12:50:38Z kaki $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/DB/msql.php
===================================================================
--- branches/feature-module-update/data/module/DB/msql.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB/msql.php	(revision 15080)
@@ -24,5 +24,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: msql.php 3 2006-08-23 03:04:20Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/Net/URL.php
===================================================================
--- branches/feature-module-update/data/module/Net/URL.php	(revision 15079)
+++ branches/feature-module-update/data/module/Net/URL.php	(revision 15080)
@@ -33,5 +33,5 @@
 // +-----------------------------------------------------------------------+
 //
-// $Id: URL.php 5563 2006-10-26 09:03:43Z kakinaka $
+// $Id$
 //
 // Net_URL Class
Index: branches/feature-module-update/data/module/Net/UserAgent/Mobile/DoCoMoDisplayMap.php
===================================================================
--- branches/feature-module-update/data/module/Net/UserAgent/Mobile/DoCoMoDisplayMap.php	(revision 15079)
+++ branches/feature-module-update/data/module/Net/UserAgent/Mobile/DoCoMoDisplayMap.php	(revision 15080)
@@ -16,5 +16,5 @@
  * @copyright  2003-2007 KUBO Atsuhiro <iteman@users.sourceforge.net>
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: DoCoMoDisplayMap.php,v 1.32 2007/02/20 18:30:17 kuboa Exp $
+ * @version    CVS: $Id$
  * @link       http://www.nttdocomo.co.jp/service/imode/make/content/spec/screen_area/index.html
  * @see        Net_UserAgent_Mobile_Display
Index: branches/feature-module-update/data/module/Net/UserAgent/Mobile/Display.php
===================================================================
--- branches/feature-module-update/data/module/Net/UserAgent/Mobile/Display.php	(revision 15079)
+++ branches/feature-module-update/data/module/Net/UserAgent/Mobile/Display.php	(revision 15080)
@@ -16,5 +16,5 @@
  * @copyright  2003-2007 KUBO Atsuhiro <iteman@users.sourceforge.net>
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: Display.php,v 1.10 2007/02/20 15:00:06 kuboa Exp $
+ * @version    CVS: $Id$
  * @since      File available since Release 0.1
  */
Index: branches/feature-module-update/data/module/Net/UserAgent/Mobile/Common.php
===================================================================
--- branches/feature-module-update/data/module/Net/UserAgent/Mobile/Common.php	(revision 15079)
+++ branches/feature-module-update/data/module/Net/UserAgent/Mobile/Common.php	(revision 15080)
@@ -16,5 +16,5 @@
  * @copyright  2003-2007 KUBO Atsuhiro <iteman@users.sourceforge.net>
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: Common.php,v 1.15 2007/02/20 14:59:19 kuboa Exp $
+ * @version    CVS: $Id$
  * @since      File available since Release 0.1
  */
Index: branches/feature-module-update/data/module/Net/UserAgent/Mobile/Request.php
===================================================================
--- branches/feature-module-update/data/module/Net/UserAgent/Mobile/Request.php	(revision 15079)
+++ branches/feature-module-update/data/module/Net/UserAgent/Mobile/Request.php	(revision 15080)
@@ -16,5 +16,5 @@
  * @copyright  2003-2007 KUBO Atsuhiro <iteman@users.sourceforge.net>
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: Request.php,v 1.6 2007/02/20 15:18:26 kuboa Exp $
+ * @version    CVS: $Id$
  * @since      File available since Release 0.1
  */
Index: branches/feature-module-update/data/module/Net/UserAgent/Mobile/EZweb.php
===================================================================
--- branches/feature-module-update/data/module/Net/UserAgent/Mobile/EZweb.php	(revision 15079)
+++ branches/feature-module-update/data/module/Net/UserAgent/Mobile/EZweb.php	(revision 15080)
@@ -16,5 +16,5 @@
  * @copyright  2003-2007 KUBO Atsuhiro <iteman@users.sourceforge.net>
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: EZweb.php,v 1.17 2007/02/20 15:19:07 kuboa Exp $
+ * @version    CVS: $Id$
  * @link       http://www.au.kddi.com/ezfactory/tec/spec/4_4.html
  * @link       http://www.au.kddi.com/ezfactory/tec/spec/new_win/ezkishu.html
Index: branches/feature-module-update/data/module/Net/UserAgent/Mobile/AirHPhone.php
===================================================================
--- branches/feature-module-update/data/module/Net/UserAgent/Mobile/AirHPhone.php	(revision 15079)
+++ branches/feature-module-update/data/module/Net/UserAgent/Mobile/AirHPhone.php	(revision 15080)
@@ -16,5 +16,5 @@
  * @copyright  2003-2007 KUBO Atsuhiro <iteman@users.sourceforge.net>
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: AirHPhone.php,v 1.12 2007/02/20 14:39:45 kuboa Exp $
+ * @version    CVS: $Id$
  * @link       http://www.willcom-inc.com/ja/service/contents_service/club_air_edge/for_phone/homepage/index.html
  * @see        Net_UserAgent_Mobile_Common
Index: branches/feature-module-update/data/module/Net/UserAgent/Mobile/DoCoMo.php
===================================================================
--- branches/feature-module-update/data/module/Net/UserAgent/Mobile/DoCoMo.php	(revision 15079)
+++ branches/feature-module-update/data/module/Net/UserAgent/Mobile/DoCoMo.php	(revision 15080)
@@ -16,5 +16,5 @@
  * @copyright  2003-2007 KUBO Atsuhiro <iteman@users.sourceforge.net>
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: DoCoMo.php,v 1.35 2007/02/20 18:41:04 kuboa Exp $
+ * @version    CVS: $Id$
  * @link       http://www.nttdocomo.co.jp/service/imode/make/content/spec/useragent/index.html
  * @see        Net_UserAgent_Mobile_Common
Index: branches/feature-module-update/data/module/Net/UserAgent/Mobile/Vodafone.php
===================================================================
--- branches/feature-module-update/data/module/Net/UserAgent/Mobile/Vodafone.php	(revision 15079)
+++ branches/feature-module-update/data/module/Net/UserAgent/Mobile/Vodafone.php	(revision 15080)
@@ -16,5 +16,5 @@
  * @copyright  2003-2007 KUBO Atsuhiro <iteman@users.sourceforge.net>
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: Vodafone.php,v 1.12 2007/02/20 15:21:05 kuboa Exp $
+ * @version    CVS: $Id$
  * @since      File available since Release 0.20.0
  */
Index: branches/feature-module-update/data/module/Net/UserAgent/Mobile/NonMobile.php
===================================================================
--- branches/feature-module-update/data/module/Net/UserAgent/Mobile/NonMobile.php	(revision 15079)
+++ branches/feature-module-update/data/module/Net/UserAgent/Mobile/NonMobile.php	(revision 15080)
@@ -16,5 +16,5 @@
  * @copyright  2003-2007 KUBO Atsuhiro <iteman@users.sourceforge.net>
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: NonMobile.php,v 1.12 2007/02/20 15:20:02 kuboa Exp $
+ * @version    CVS: $Id$
  * @see        Net_UserAgent_Mobile_Common
  * @since      File available since Release 0.1.0
Index: branches/feature-module-update/data/module/Net/UserAgent/Mobile.php
===================================================================
--- branches/feature-module-update/data/module/Net/UserAgent/Mobile.php	(revision 15079)
+++ branches/feature-module-update/data/module/Net/UserAgent/Mobile.php	(revision 15080)
@@ -16,5 +16,5 @@
  * @copyright  2003-2007 KUBO Atsuhiro <iteman@users.sourceforge.net>
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: Mobile.php,v 1.27 2007/02/20 15:17:16 kuboa Exp $
+ * @version    CVS: $Id$
  * @since      File available since Release 0.1
  */
Index: branches/feature-module-update/data/module/Net/Socket.php
===================================================================
--- branches/feature-module-update/data/module/Net/Socket.php	(revision 15079)
+++ branches/feature-module-update/data/module/Net/Socket.php	(revision 15080)
@@ -18,5 +18,5 @@
 // +----------------------------------------------------------------------+
 //
-// $Id: Socket.php 6959 2006-11-13 06:40:52Z kakinaka $
+// $Id$
 
 if(!defined('SOCKET_PHP_DIR')) {
Index: branches/feature-module-update/data/module/SearchReplace.php
===================================================================
--- branches/feature-module-update/data/module/SearchReplace.php	(revision 15079)
+++ branches/feature-module-update/data/module/SearchReplace.php	(revision 15080)
@@ -33,5 +33,5 @@
 // +-----------------------------------------------------------------------+
 //
-// $Id: SearchReplace.php,v 1.14 2006/07/12 09:35:09 techtonik Exp $
+// $Id$
 //
 // Search and Replace Utility
Index: branches/feature-module-update/data/module/DB.php
===================================================================
--- branches/feature-module-update/data/module/DB.php	(revision 15079)
+++ branches/feature-module-update/data/module/DB.php	(revision 15080)
@@ -21,5 +21,5 @@
  * @copyright  1997-2005 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: DB.php 4774 2006-10-12 06:59:22Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/DB
  */
Index: branches/feature-module-update/data/module/Tar.php
===================================================================
--- branches/feature-module-update/data/module/Tar.php	(revision 15079)
+++ branches/feature-module-update/data/module/Tar.php	(revision 15080)
@@ -17,5 +17,5 @@
 // +----------------------------------------------------------------------+
 //
-// $Id: Tar.php 4772 2006-10-12 06:52:48Z naka $
+// $Id$
 
 if(!defined('TAR_PHP_DIR')) {
Index: branches/feature-module-update/data/module/PEAR.php
===================================================================
--- branches/feature-module-update/data/module/PEAR.php	(revision 15079)
+++ branches/feature-module-update/data/module/PEAR.php	(revision 15080)
@@ -21,5 +21,5 @@
  * @copyright  1997-2006 The PHP Group
  * @license    http://www.php.net/license/3_0.txt  PHP License 3.0
- * @version    CVS: $Id: PEAR.php 4773 2006-10-12 06:57:07Z naka $
+ * @version    CVS: $Id$
  * @link       http://pear.php.net/package/PEAR
  * @since      File available since Release 0.1
Index: branches/feature-module-update/data/module/Request.php
===================================================================
--- branches/feature-module-update/data/module/Request.php	(revision 15079)
+++ branches/feature-module-update/data/module/Request.php	(revision 15080)
@@ -33,5 +33,5 @@
 // +-----------------------------------------------------------------------+
 //
-// $Id: Request.php 10017 2006-12-27 02:29:54Z kaki $
+// $Id$
 //
 // HTTP_Request Class
Index: branches/feature-module-update/data/module/Smarty/libs/Smarty_Compiler.class.php
===================================================================
--- branches/feature-module-update/data/module/Smarty/libs/Smarty_Compiler.class.php	(revision 15079)
+++ branches/feature-module-update/data/module/Smarty/libs/Smarty_Compiler.class.php	(revision 15080)
@@ -27,5 +27,5 @@
  */
 
-/* $Id: Smarty_Compiler.class.php 3 2006-08-23 03:04:20Z naka $ */
+/* $Id$ */
 
 /**
Index: branches/feature-module-update/data/module/Smarty/libs/Smarty.class.php
===================================================================
--- branches/feature-module-update/data/module/Smarty/libs/Smarty.class.php	(revision 15079)
+++ branches/feature-module-update/data/module/Smarty/libs/Smarty.class.php	(revision 15080)
@@ -31,5 +31,5 @@
  */
 
-/* $Id: Smarty.class.php 3 2006-08-23 03:04:20Z naka $ */
+/* $Id$ */
 
 /**
Index: branches/feature-module-update/data/module/Smarty/libs/Config_File.class.php
===================================================================
--- branches/feature-module-update/data/module/Smarty/libs/Config_File.class.php	(revision 15079)
+++ branches/feature-module-update/data/module/Smarty/libs/Config_File.class.php	(revision 15080)
@@ -26,5 +26,5 @@
  */
 
-/* $Id: Config_File.class.php 3 2006-08-23 03:04:20Z naka $ */
+/* $Id$ */
 
 /**