Index: /branches/feature-module-update/data/class/pages/contact/LC_Page_Contact.php
===================================================================
--- /branches/feature-module-update/data/class/pages/contact/LC_Page_Contact.php	(revision 15083)
+++ /branches/feature-module-update/data/class/pages/contact/LC_Page_Contact.php	(revision 15084)
@@ -161,5 +161,5 @@
     // {{{ protected functions
 
-    //エラーチェック処理部
+    //エラーチェック処理部 FIXME
     function lfErrorCheck($array) {
         $objErr = new SC_CheckError($array);
Index: /branches/feature-module-update/data/class/pages/contact/LC_Page_Contact_Complete.php
===================================================================
--- /branches/feature-module-update/data/class/pages/contact/LC_Page_Contact_Complete.php	(revision 15084)
+++ /branches/feature-module-update/data/class/pages/contact/LC_Page_Contact_Complete.php	(revision 15084)
@@ -0,0 +1,79 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/LC_Page.php");
+
+/**
+ * 問い合わせ(完了ページ) のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Contact_Complete extends LC_Page {
+
+    // {{{ properties
+
+    /**メインテンプレート */
+    var $tpl_mainpage = 'contact/complete.tpl';
+
+    /** CSS のパス */
+    var $tpl_css;
+
+    /** タイトル */
+    var $tpl_title = 'お問い合わせ(完了ページ)';
+
+    /** ページナンバー */
+    var $tpl_mainno = 'contact';
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+        $this->tpl_css = array();
+        $this->tpl_css[1] = URL_DIR.'css/layout/contact/index.css';
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        $objView = new SC_SiteView();
+        $objCampaignSess = new SC_CampaignSession();
+
+        // レイアウトデザインを取得
+        $layout = new SC_Helper_PageLayout_Ex();
+        $this = $layout->sfGetPageLayout($this, false, DEF_LAYOUT);
+
+        // キャンペーンからの遷移かチェック
+        $this->is_campaign = $objCampaignSess->getIsCampaign();
+        $this->campaign_dir = $objCampaignSess->getCampaignDir();
+
+        $objView->assignobj($this);
+        // フレームを選択(キャンペーンページから遷移なら変更)
+        $objCampaignSess->pageView($objView);
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/feature-module-update/data/class/page_extends/contact/LC_Page_Contact_Complete_Ex.php
===================================================================
--- /branches/feature-module-update/data/class/page_extends/contact/LC_Page_Contact_Complete_Ex.php	(revision 15084)
+++ /branches/feature-module-update/data/class/page_extends/contact/LC_Page_Contact_Complete_Ex.php	(revision 15084)
@@ -0,0 +1,52 @@
+<?php
+/*
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/contact/LC_Page_Contact_Complete.php");
+
+/**
+ * お問い合わせ(完了ページ) のページクラス(拡張).
+ *
+ * LC_Page_Contact_Complete をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Contact_Complete_Ex extends LC_Page_Contact_Complete {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>