Index: branches/beta/data/Smarty/templates/admin/basis/template.tpl
===================================================================
--- branches/beta/data/Smarty/templates/admin/basis/template.tpl	(revision 14676)
+++ branches/beta/data/Smarty/templates/admin/basis/template.tpl	(revision 15120)
@@ -63,5 +63,5 @@
 										<td width="40" align="center"><a href="./mail.php?mode=edit&template_id=<!--{$list_data[data].template_id}-->">ÊÔ½¸</a></td>
 										<td width="40" align="center">
-										<!--{if $list_data[data].template_id > 1}-->
+										<!--{if $list_data[data].template_id > 2}-->
 										<a href="" onclick="fnDelete('<!--{$smarty.server.PHP_SELF|escape}-->?mode=delete&id=<!--{$list_data[data].template_id}-->'); return false;">ºï½ü</a>
 										<!--{else}-->(¸ÇÄê)<!--{/if}-->
Index: branches/beta/data/Smarty/templates/admin/basis/mail.tpl
===================================================================
--- branches/beta/data/Smarty/templates/admin/basis/mail.tpl	(revision 14676)
+++ branches/beta/data/Smarty/templates/admin/basis/mail.tpl	(revision 15120)
@@ -107,13 +107,10 @@
 										<td bgcolor="#ffffff">
 										<!--{assign var=key value="send_type"}-->
-										<!--{if $arrForm.template_id > 1}-->
-										<!--{html_radios_ex name="send_type" options=$arrSendType separator="&nbsp;" selected=$arrForm[$key]}-->
+										<!--{if $arrForm.template_id == 1}-->
+											<input type="radio" name="send_type" value="0" id="send_type_0" checked="checked" /><label for="send_type_0">¥Ñ¥½¥³¥ó</label>&nbsp;
+										<!--{elseif $arrForm.template_id == 2}-->
+											<input type="radio" name="send_type" value="1" id="send_type_1" checked="checked" /><label for="send_type_1">·ÈÂÓ</label>&nbsp;
 										<!--{else}-->
-											<!--{if $arrForm.template_id=='0'}-->
-											<input type="radio" name="send_type" value="0" id="send_type_0" checked="checked" /><label for="send_type_0">¥Ñ¥½¥³¥ó</label>&nbsp;
-											<!--{else}-->
-											<input type="radio" name="send_type" value="1" id="send_type_1" checked="checked" /><label for="send_type_1">·ÈÂÓ</label>&nbsp;
-											<!--{/if}-->
-											<!--{* <!--{html_radios_ex name="send_type" options=$arrSendType separator="&nbsp;" selected=$arrForm[$key]}--> *}-->
+											<!--{html_radios_ex name="send_type" options=$arrSendType separator="&nbsp;" selected=$arrForm[$key]}-->
 										<!--{/if}-->
 										</td>
Index: branches/beta/data/Smarty/templates/admin/system/module.tpl
===================================================================
--- branches/beta/data/Smarty/templates/admin/system/module.tpl	(revision 17)
+++ branches/beta/data/Smarty/templates/admin/system/module.tpl	(revision 15120)
@@ -52,14 +52,24 @@
 								<table width="678" border="0" cellspacing="1" cellpadding="4" summary=" ">
 									<tr bgcolor="#f2f1ec" align="center" class="fs12n">
-										<td width="170">µ¡Ç½Ì¾</td>
-										<td width="300">ÀâÌÀ</td>
-										<td width="50">¸½¾õ</td>										
-										<td width="50">ºÇ¿·</td>										
-										<td width="80">¥ê¥ê¡¼¥¹Æü</td>
-										<td width="50">ÀßÄê</td>
-										<td width="50">¼Â¹Ô</td>
+										<td width="50">¥í¥´</td>
+										<td width="160">µ¡Ç½Ì¾</td>
+										<td width="290">ÀâÌÀ</td>
+										<td width="45">¸½¾õ</td>
+										<td width="45">ºÇ¿·</td>
+										<td width="70">¥ê¥ê¡¼¥¹Æü</td>
+										<td width="45">ÀßÄê</td>
+										<td width="45">¼Â¹Ô</td>
 									</tr>
 									<!--{section name=cnt loop=$arrUpdate}-->
 									<tr bgcolor="#ffffff" class="fs12">
+										<!--{if $arrUpdate[cnt].url}-->
+										<td align="center">
+										<a href="<!--{$arrUpdate[cnt].url}-->" target="_blank"><img src="resize_image.php?image=<!--{$arrUpdate[cnt].icon}-->&width=50&height=50"></a>
+										</td>
+										<!--{else}-->
+										<td align="center">
+										<img src="resize_image.php?image=<!--{$arrUpdate[cnt].icon}-->&width=50&height=50">
+										</td>
+										<!--{/if}-->
 										<td ><!--{$arrUpdate[cnt].module_name}--></td>
 										<td ><!--{$arrUpdate[cnt].module_explain}-->(<!--{$arrUpdate[cnt].eccube_version}-->°Ê¹ß¤ËÂÐ±þ)</td>
Index: branches/beta/data/Smarty/templates/forgot/complete.tpl
===================================================================
--- branches/beta/data/Smarty/templates/forgot/complete.tpl	(revision 17)
+++ branches/beta/data/Smarty/templates/forgot/complete.tpl	(revision 15120)
@@ -1,72 +1,145 @@
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html lang="ja">
-<!--{*
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *}-->
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->">
-<meta http-equiv="content-script-type" content="text/javascript">
-<meta http-equiv="content-style-type" content="text/css">
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->user_data/css/contents.css" type="text/css" media="all" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->css/common.css" type="text/css" media="all" />
-<link rel="stylesheet" href="<!--{$tpl_css}-->" type="text/css" media="all" />
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
-<title><!--{$arrSiteInfo.shop_name}-->/¥Ñ¥¹¥ï¡¼¥É¤òËº¤ì¤¿Êý(´°Î»¥Ú¡¼¥¸)</title>
-</head>
+<table id="contact">
+<tr><td>
+<!-- wrapper -->
+<div id="wrapper">
+  <!-- wrapper-inner -->
+  <div id="wrapper-inner">
+    <!-- contents -->
+    <div id="contents">
+      <!-- breadcrumb -->
+      <div class="breadcrumb">
+        <ul>
+          <li><a href="../index.html">Home</a></li>
+          <li>&gt;&nbsp;¥Ñ¥¹¥ï¡¼¥É¤òËº¤ì¤¿Êý</li>
+        </ul>
+      </div>
+      <!-- /breadcrumb -->
+      <h2><img src="<!--{$smarty.const.URL_DIR}-->img/contact/h2_sendpwd.gif" alt="Send Password¡Ã¥Ñ¥¹¥ï¡¼¥É¤òËº¤ì¤¿Êý" width="800" height="180" /></h2>
+      <!-- oneColumn -->
+      <div id="oneColumn">
+        <!-- columnB -->
+        <div class="columnB">
+          <h3><img src="<!--{$smarty.const.URL_DIR}-->img/contact/h3_complete.gif" alt="Complete" width="110" height="23" /></h3>
+          <br />
+          <h4><img src="<!--{$smarty.const.URL_DIR}-->img/contact/h4_pwd.gif" alt="¥Ñ¥¹¥ï¡¼¥É¤ÎÁ÷¿®¤¬´°Î»¤·¤Þ¤·¤¿¡£" width="188" height="14" /></h4>
+          <p>¤´µ­ÆþÄº¤­¤Þ¤·¤¿E¥á¡¼¥ë¥¢¥É¥ì¥¹¤Ø¡¢¿·¤·¤¤¥Ñ¥¹¥ï¡¼¥É¤òÁ÷¿®¤·¤Þ¤·¤¿¡£¤´³ÎÇ§¤¯¤À¤µ¤¤¡£</p>
+          <p><a href="../index.html"><img class="rollover" src="<!--{$smarty.const.URL_DIR}-->img/contact/btn_home.gif" alt="HOME" width="161" height="21" /></a></p>
+        </div>
+        <!-- /columnB -->
+        <br />
+        <br />
+        <br />
+      </div>
+      <!-- /oneColumn -->
+      <hr class="solidGray2" />
+      <!-- breadcrumb -->
+      <div class="breadcrumb">
+        <ul>
+          <li><a href="../index.html">Home</a></li>
+          <li>&gt;&nbsp;¥Ñ¥¹¥ï¡¼¥É¤òËº¤ì¤¿Êý</li>
+        </ul>
+      </div>
+      <!-- /breadcrumb -->
+    </div>
+    <!-- /contents -->
+    <p class="pagetop"><a href="#wrapper"><img class="rollover" src="<!--{$smarty.const.URL_DIR}-->img/common/btn_pagetop_wh.gif" alt="Page Top" width="50" height="16" /></a></p>
+  </div>
+  <!-- /wrapper-inner -->
+  <!-- cart -->
+  <div id="cart">
+    <dl class="first">
+      <dt><img src="<!--{$smarty.const.URL_DIR}-->img/common/cart_nickname.gif" alt="Nickname" width="65" height="5" /><br />
+        AKIHIRO</dt>
+    </dl>
+    <dl class="last">
+      <dt class="first"><img src="<!--{$smarty.const.URL_DIR}-->img/common/cart_item.gif" alt="Item" width="65" height="5" /><br />
+        02</dt>
+      <dt><img src="<!--{$smarty.const.URL_DIR}-->img/common/cart_subtotal.gif" alt="Subtotal" width="65" height="5" /><br />
+        53,400yen</dt>
+    </dl>
+    <div id="userTraffic">
+      <ul>
+        <li class="cart-view"><a href="index.html">View Cart</a></li>
+        <li class="cart-logout"><a href="index.html">Log Out</a></li>
+      </ul>
+    </div>
+    <p><a href="">My Page</a></p>
+  </div>
+  <!-- /cart -->
+</div>
+<!-- /wrapper -->
+</td></tr>
+</table>
 
-<body bgcolor="#f0f0f0" text="#555555" link="#3a75af" vlink="#3a75af" alink="#3a75af" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="preLoadImg('<!--{$smarty.const.URL_DIR}-->')">
-<noscript>
-<link rel="stylesheet" href="../css/common.css" type="text/css" />
-</noscript>
-
-<div align="center">
-<table width="550" border="0" cellspacing="0" cellpadding="0" summary=" ">
-	<form name="form1" id="form1" method="post" action="./confirm.php">
-	<tr><td height="15"></td></tr>
-	<tr><td bgcolor="#ffa85c"><img src="<!--{$smarty.const.URL_DIR}-->misc/_.gif" width="1" height="5" alt=""></td></tr>
-	<tr>
-		<td align="center" bgcolor="#ffffff">
-		<table width="500" border="0" cellspacing="0" cellpadding="0" summary=" ">
-			<tr><td height="15"></td></tr>
-			<tr>
-				<td><img src="<!--{$smarty.const.URL_DIR}-->img/forget/title.jpg" width="500" height="40" alt="¥Ñ¥¹¥ï¡¼¥É¤òËº¤ì¤¿Êý"></td>
-			</tr>
-			<tr><td height="15"></td></tr>
-			<tr>
-				<td class="fs12">¥Ñ¥¹¥ï¡¼¥É¤ÎÈ¯¹Ô¤¬´°Î»¤¤¤¿¤·¤Þ¤·¤¿¡£¥í¥°¥¤¥ó¤Ë¤Ï²¼µ­¤Î¥Ñ¥¹¥ï¡¼¥É¤ò¤´ÍøÍÑ¤¯¤À¤µ¤¤¡£<br>
-				¢¨²¼µ­¥Ñ¥¹¥ï¡¼¥É¤Ï¡¢MY¥Ú¡¼¥¸¤Î¡Ö²ñ°÷ÅÐÏ¿ÆâÍÆÊÑ¹¹¡×¤è¤ê¤´ÊÑ¹¹¤¤¤¿¤À¤±¤Þ¤¹¡£</td>
-			</tr>
-			<tr><td height="15"></td></tr>
-			<tr>
-				<td align="center" bgcolor="#cccccc">
-				<table width="490" border="0" cellspacing="0" cellpadding="0" summary=" ">
-					<tr><td height="5"></td></tr>
-					<tr>
-						<td align="center" height="120" bgcolor="#ffffff" class="fs18n"><!--¡ú¥Ñ¥¹¥ï¡¼¥ÉÉ½¼¨¡ú--><span class="redst"><!--{$temp_password}--></span></td>
-					</tr>
-					<tr><td height="5"></td></tr>
-				</table>
-				</td>
-			</tr>
-			<tr><td height="15"></td></tr>
-			<tr>
-				<td align="center"><a href="javascript:window.close()" onmouseOver="chgImg('<!--{$smarty.const.URL_DIR}-->img/common/b_close_on.gif','close');" onmouseOut="chgImg('<!--{$smarty.const.URL_DIR}-->img/common/b_close.gif','close');"><img src="<!--{$smarty.const.URL_DIR}-->img/common/b_close.gif" width="150" height="30" alt="ÊÄ¤¸¤ë" name="close" id="close" /></a></td>
-			</tr>
-			<tr><td height="30"></td></tr>
-		</table>			
-		</td>
-	</tr>
-
-	<tr><td bgcolor="#ffa85c"><img src="<!--{$smarty.const.URL_DIR}-->misc/_.gif" width="1" height="5" alt=""></td></tr>
-	<tr><td height="20"></td></tr>
-</form>	
+<table id="contact">
+<tr><td>
+<!-- wrapper -->
+<div id="wrapper">
+  <!-- wrapper-inner -->
+  <div id="wrapper-inner">
+    <!-- contents -->
+    <div id="contents">
+      <!-- breadcrumb -->
+      <div class="breadcrumb">
+        <ul>
+          <li><a href="../index.html">Home</a></li>
+          <li>&gt;&nbsp;¥Ñ¥¹¥ï¡¼¥É¤òËº¤ì¤¿Êý</li>
+        </ul>
+      </div>
+      <!-- /breadcrumb -->
+      <h2><img src="images/h2_sendpwd.gif" alt="Send Password¡Ã¥Ñ¥¹¥ï¡¼¥É¤òËº¤ì¤¿Êý" width="800" height="180" /></h2>
+      <!-- oneColumn -->
+      <div id="oneColumn">
+        <!-- columnB -->
+        <div class="columnB">
+          <h3><img src="images/h3_complete.gif" alt="Complete" width="110" height="23" /></h3>
+          <br />
+          <h4><img src="images/h4_pwd.gif" alt="¥Ñ¥¹¥ï¡¼¥É¤ÎÁ÷¿®¤¬´°Î»¤·¤Þ¤·¤¿¡£" width="188" height="14" /></h4>
+          <p>¤´µ­ÆþÄº¤­¤Þ¤·¤¿E¥á¡¼¥ë¥¢¥É¥ì¥¹¤Ø¡¢¿·¤·¤¤¥Ñ¥¹¥ï¡¼¥É¤òÁ÷¿®¤·¤Þ¤·¤¿¡£¤´³ÎÇ§¤¯¤À¤µ¤¤¡£</p>
+          <p><a href="../index.html"><img class="rollover" src="images/btn_home.gif" alt="HOME" width="161" height="21" /></a></p>
+        </div>
+        <!-- /columnB -->
+        <br />
+        <br />
+        <br />
+      </div>
+      <!-- /oneColumn -->
+      <hr class="solidGray2" />
+      <!-- breadcrumb -->
+      <div class="breadcrumb">
+        <ul>
+          <li><a href="../index.html">Home</a></li>
+          <li>&gt;&nbsp;¥Ñ¥¹¥ï¡¼¥É¤òËº¤ì¤¿Êý</li>
+        </ul>
+      </div>
+      <!-- /breadcrumb -->
+    </div>
+    <!-- /contents -->
+    <p class="pagetop"><a href="#wrapper"><img class="rollover" src="<!--{$smarty.const.URL_DIR}-->img/common/btn_pagetop_wh.gif" alt="Page Top" width="50" height="16" /></a></p>
+  </div>
+  <!-- /wrapper-inner -->
+  <!-- cart -->
+  <div id="cart">
+    <dl class="first">
+      <dt><img src="<!--{$smarty.const.URL_DIR}-->img/common/cart_nickname.gif" alt="Nickname" width="65" height="5" /><br />
+        AKIHIRO</dt>
+    </dl>
+    <dl class="last">
+      <dt class="first"><img src="<!--{$smarty.const.URL_DIR}-->img/common/cart_item.gif" alt="Item" width="65" height="5" /><br />
+        02</dt>
+      <dt><img src="<!--{$smarty.const.URL_DIR}-->img/common/cart_subtotal.gif" alt="Subtotal" width="65" height="5" /><br />
+        53,400yen</dt>
+    </dl>
+    <div id="userTraffic">
+      <ul>
+        <li class="cart-view"><a href="index.html">View Cart</a></li>
+        <li class="cart-logout"><a href="index.html">Log Out</a></li>
+      </ul>
+    </div>
+    <p><a href="">My Page</a></p>
+  </div>
+  <!-- /cart -->
+</div>
+<!-- /wrapper -->
+</td></tr>
 </table>
-</div>
-
-</body>
-</html>
Index: branches/beta/data/Smarty/templates/mobile/nonmember/deliv.tpl
===================================================================
--- branches/beta/data/Smarty/templates/mobile/nonmember/deliv.tpl	(revision 14676)
+++ branches/beta/data/Smarty/templates/mobile/nonmember/deliv.tpl	(revision 15120)
@@ -19,9 +19,6 @@
 <input type="hidden" name="uniqid" value="<!--{$tpl_uniqid}-->">
 <input type="hidden" name="deli" value="<!--{$smarty.section.cnt.iteration}-->">
-<!--{if $smarty.section.cnt.first}-->
 <input type="hidden" name="mode" value="customer_addr">
-<input type="hidden" name="other_deliv_id" value="">
-<!--{else}-->
-<input type="hidden" name="mode" value="other_addr">
+
 <input type="hidden" name="other_deliv_id" value="<!--{$arrAddr[cnt].other_deliv_id}-->">
 <!--{/if}-->
@@ -40,4 +37,5 @@
 ¢£¤½¤ÎÂ¾¤Î¤ªÆÏ¤±Àè¤ò»ØÄê<br>
 <form method="get" action="deliv_addr.php">
+<input type="hidden" name="mode" value="other_addr">
 <center><input type="submit" value="¿·µ¬ÅÐÏ¿"></center>
 </form>
Index: branches/beta/data/Smarty/templates/mobile/nonmember/deliv_addr.tpl
===================================================================
--- branches/beta/data/Smarty/templates/mobile/nonmember/deliv_addr.tpl	(revision 14676)
+++ branches/beta/data/Smarty/templates/mobile/nonmember/deliv_addr.tpl	(revision 15120)
@@ -44,5 +44,5 @@
 
 	<div align="center"><input type="submit" name="submit" value="¼¡¤Ø"></div>
-	<!--<div align="center"><input type="submit" name="return" value="Ìá¤ë"></div>-->
+	<div align="center"><input type="submit" name="return" value="Ìá¤ë"></div>
 
 	<!--{foreach from=$list_data key=key item=item}-->
Index: branches/beta/data/Smarty/templates/mobile/nonmember/payment.tpl
===================================================================
--- branches/beta/data/Smarty/templates/mobile/nonmember/payment.tpl	(revision 14676)
+++ branches/beta/data/Smarty/templates/mobile/nonmember/payment.tpl	(revision 15120)
@@ -32,5 +32,5 @@
 
 <center><input type="submit" value="¼¡¤Ø"></center>
-<!--<center><input type="submit" name="return" value="Ìá¤ë"></center>-->
+<center><input type="submit" name="return" value="Ìá¤ë"></center>
 </form>
 
Index: branches/beta/data/Smarty/templates/mobile/nonmember/nonmember_set3.tpl
===================================================================
--- branches/beta/data/Smarty/templates/mobile/nonmember/nonmember_set3.tpl	(revision 14676)
+++ branches/beta/data/Smarty/templates/mobile/nonmember/nonmember_set3.tpl	(revision 15120)
@@ -10,5 +10,5 @@
 <hr>
 	<!--<form name="form1" method="post" action="<!--{$smarty.server.PHP_SELF|escape}-->">-->
-	<form name="form1" method="post" action="./deliv.php">
+	<form name="form1" method="post" action="./index.php">
 	<input type="hidden" name="mode" value="nonmember">
 	<input type="hidden" name="mode2" value="deliv">
@@ -42,10 +42,4 @@
 	<input type="text" size="<!--{$size}-->" name="tel03" value="<!--{$tel03|escape}-->" maxlength="<!--{$smarty.const.TEL_ITEM_LEN}-->" istyle="4"><br>
 
-	<!--¡Ú¥á¡¼¥ë¥Þ¥¬¥¸¥ó¡Û<br>
-	¤ªÆÀ¤Ê¾ðÊó¤ò´õË¾¤µ¤ì¤Þ¤¹¤«¡©<br>
-	ÇÛ¿®´õË¾<input type="checkbox" name="mailmaga_flg" value="on" <!--{if $mailmaga_flg eq 'on'}-->checked<!--{/if}--> /><br>
-	¡Ê´õË¾¤µ¤ì¤Ê¤¤¾ì¹ç¤Ï¥Á¥§¥Ã¥¯¤ò¤Ï¤º¤·¤Æ¤¯¤À¤µ¤¤¡Ë<br>
-	<br>-->
-
 	<input type="submit" name="submit" value="¼¡¤Ø"><br>
 	<input type="submit" name="return" value="Ìá¤ë">