Index: branches/feature-module-paygent/data/class/GC_SendMail.php
===================================================================
--- branches/feature-module-paygent/data/class/GC_SendMail.php	(revision 15146)
+++ branches/feature-module-paygent/data/class/GC_SendMail.php	(revision 15162)
@@ -17,4 +17,35 @@
 	var $mailer;
 
+	function setTo($to, $to_name = "") {
+		if($to_name != "") {
+			$name = ereg_replace("<","¡ã", $to_name);
+			$name = ereg_replace(">","¡ä", $name);
+			
+			if(WINDOWS != true) {
+				// windows¤Ç¤ÏÊ¸»ú²½¤±¤¹¤ë¤Î¤Ç»ÈÍÑ¤·¤Ê¤¤¡£
+				$name = mb_convert_encoding($name,"JIS",CHAR_CODE);	
+			}
+			
+			$name = mb_encode_mimeheader($name);
+			$this->to = $name . "<" . $to . ">";
+		} else {
+			$this->to = $to;
+		}
+	}
+	
+	function setItem( $to, $subject, $body, $fromaddress, $from_name, $reply_to="", $return_path="", $errors_to="", $bcc="", $cc ="" ) {
+		$this->header		 = "Mime-Version: 1.0\n";
+		$this->header		.= "Content-Type: text/plain; charset=ISO-2022-JP\n";
+		$this->header		.= "Content-Transfer-Encoding: 7bit\n";
+		$this->setBase($to, $subject, $body, $fromaddress, $from_name, $reply_to, $return_path, $errors_to, $bcc, $cc);
+	}
+		
+	function setItemHtml( $to, $subject, $body, $fromaddress, $from_name, $reply_to="", $return_path="", $errors_to="", $bcc="", $cc ="" ) {
+		$this->header		 = "Mime-Version: 1.0\n";
+		$this->header		.= "Content-Type: text/html; charset=ISO-2022-JP\n";
+		$this->header		.= "Content-Transfer-Encoding: 7bit\n";
+		$this->setBase($to, $subject, $body, $fromaddress, $from_name, $reply_to, $return_path, $errors_to, $bcc, $cc);
+	}
+
 	/*	¥Ø¥Ã¥ÀÅù¤ò³ÊÇ¼
 		 $to			-> Á÷¿®Àè¥á¡¼¥ë¥¢¥É¥ì¥¹
@@ -28,73 +59,48 @@
 		 $cc			-> ¥«¡¼¥Ü¥ó¥³¥Ô¡¼
 		 $bcc			-> ¥Ö¥é¥¤¥ó¥É¥«¡¼¥Ü¥ó¥³¥Ô¡¼
-	*/	
-	
-	
-	function setTo($to, $to_name = "") {
-		if($to_name != "") {
-			$name = ereg_replace("<","¡ã", $to_name);
-			$name = ereg_replace(">","¡ä", $name);
-			$name = mb_encode_mimeheader(mb_convert_encoding($name, "JIS", CHAR_CODE));
-			$this->to = $name . "<" . $to . ">";
-		} else {
-			$this->to = $to;
-		}
-	}
-		
-	function setItem( $to, $subject, $body, $fromaddress, $from_name, $reply_to, $return_path, $errors_to="", $bcc="", $cc ="" ) {
-		
+	*/		
+	function setBase( $to, $subject, $body, $fromaddress, $from_name, $reply_to="", $return_path="", $errors_to="", $bcc="", $cc ="" ) {
 		$this->to			 = $to;
-		$this->subject		 = $subject;
+		$this->subject		 = mb_encode_mimeheader($subject);
 
 		// iso-2022-jp¤À¤ÈÆÃ¼ìÊ¸»ú¤¬¡©¤ÇÁ÷¿®¤µ¤ì¤ë¤Î¤ÇJIS¤ò»ÈÍÑ¤¹¤ë¡£
-		//$this->body			 = mb_convert_encoding( $body, "JIS", CHAR_CODE);
-		$this->body			 = $body;
-		
-		
+		$this->body			 = mb_convert_encoding( $body, "JIS", CHAR_CODE);
+				
 		// ¥Ø¥Ã¥À¡¼¤ËÆüËÜ¸ì¤ò»ÈÍÑ¤¹¤ë¾ì¹ç¤ÏMb_encode_mimeheader¤Ç¥¨¥ó¥³¡¼¥É¤¹¤ë¡£
 		$from_name = ereg_replace("<","¡ã", $from_name);
 		$from_name = ereg_replace(">","¡ä", $from_name);
-		$from_name = mb_convert_encoding($from_name,"JIS",CHAR_CODE); 
-		$this->header		 = "From: ". Mb_encode_mimeheader( $from_name )."<".$fromaddress.">\n";
-		$this->header		.= "Reply-To: ". $reply_to . "\n";
-		$this->header		.= "Cc: " . $cc. "\n";
-		$this->header		.= "Bcc: " . $bcc . "\n";
-		$this->header		.= "Errors-To: ". $errors_to ."\n";
 		
-		$this->return_path   = $return_path;
+		if(WINDOWS != true) {
+			// windows¤Ç¤ÏÊ¸»ú²½¤±¤¹¤ë¤Î¤Ç»ÈÍÑ¤·¤Ê¤¤¡£
+			$from_name = mb_convert_encoding($from_name,"JIS",CHAR_CODE);		
+		}
+		
+		$this->header.= "From: ". mb_encode_mimeheader( $from_name )."<".$fromaddress.">\n";
+
+		if($reply_to != "") {
+			$this->header.= "Reply-To: ". $reply_to . "\n";			
+		} else {
+			$this->header.= "Reply-To: ". $fromaddress . "\n";			
+		}
+		
+		if($cc != "") {
+			$this->header.= "Cc: " . $cc. "\n";			
+		}
+		
+		if($bcc != "") {
+			$this->header.= "Bcc: " . $bcc . "\n";			
+		}
+
+		if($errors_to != "") {
+			$this->header.= "Errors-To: ". $errors_to ."\n";
+		}
 	}
-
-	function setItemHtml( $to, $subject, $body, $fromaddress, $from_name, $reply_to, $return_path, $errors_to="", $bcc="", $cc ="" ) {
-			
-		$this->to			 = $to;
-		$this->subject		 = mb_encode_mimeheader($subject);
-		$this->body			 = mb_convert_encoding( $body, "JIS", CHAR_CODE);
-		$this->header		 = "Mime-Version: 1.0\n";
-		$this->header		.= "Content-Type: text/html; charset=iso-2022-jp\n";
-		$this->header		.= "Content-Transfer-Encoding: 7bit\n";
-		$this->header		.= "From: ". mb_encode_mimeheader( $from_name )."<".$fromaddress.">\n";
-		$this->header		.= "Reply-To: ". $reply_to . "\n";
-		$this->header		.= "Cc: " . $cc. "\n";
-		$this->header		.= "Bcc: " . $bcc . "\n";
-		$this->header		.= "Errors-To: ". $errors_to ."\n";
-		$this->return_path   = $return_path;
-	}
-
+	
 	//	¥á¡¼¥ëÁ÷¿®¤ò¼Â¹Ô¤¹¤ë
 	function sendMail() {
-
-		Mb_language( "Japanese" );
-		
-		//¡¡¥á¡¼¥ëÁ÷¿®
-		if( mb_send_mail( $this->to, $this->subject, $this->body, $this->header) ) {
-			return true;
-		}
-		return false;
+		return $this->sendHtmlMail();
 	}
 
 	function sendHtmlMail() {
-
-		Mb_language( "Japanese" );	
-		
 		//¡¡¥á¡¼¥ëÁ÷¿®
 		if( mail( $this->to, $this->subject, $this->body, $this->header) ) {
Index: branches/feature-module-paygent/data/class/SC_FormParam.php
===================================================================
--- branches/feature-module-paygent/data/class/SC_FormParam.php	(revision 11460)
+++ branches/feature-module-paygent/data/class/SC_FormParam.php	(revision 15162)
@@ -321,5 +321,5 @@
 	
 	// ¥­¡¼Ì¾¤È°ìÃ×¤·¤¿ÃÍ¤òÊÖ¤¹
-	function getValue($keyname) {
+	function getValue($keyname, $conv = "") {
 		$cnt = 0;
 		foreach($this->keyname as $val) {
@@ -330,5 +330,10 @@
 			$cnt++;
 		}
-		return $ret;
+		
+		if($conv != "") {
+			return mb_convert_kana($ret ,$conv);
+		} else {
+			return $ret;			
+		}		
 	}
 	