Index: branches/feature-module-update/data/conf/conf.php
===================================================================
--- branches/feature-module-update/data/conf/conf.php	(revision 15159)
+++ branches/feature-module-update/data/conf/conf.php	(revision 15164)
@@ -33,464 +33,9 @@
 //error_reporting(E_ALL);
 
-//--------------------------------------------------------------------------------------------------------
-
-//--------------------------------------------------------------------------------------------------------
-/** フロント表示関連 **/
-define("SAMPLE_ADDRESS1", "市区町村名（例：東京都千代田区神田神保町）");
-define("SAMPLE_ADDRESS2", "番地・ビル名（例：1-3-5）");
-//--------------------------------------------------------------------------------------------------------
-
-//--------------------------------------------------------------------------------------------------------
-/** パス関連 **/
-// ユーザファイル保存先
-define("USER_DIR", "user_data/");
-define("USER_PATH", HTML_PATH . USER_DIR);
-
-// ユーザインクルードファイル保存先
-define("USER_INC_PATH", USER_PATH . "include/");
-
-// ブロックファイル保存先
-define("BLOC_DIR", "include/bloc/");
-define("BLOC_PATH", USER_PATH . BLOC_DIR);
-
-// キャンペーンファイル保存先
-define("CAMPAIGN_DIR", "cp/");
-define("CAMPAIGN_URL", URL_DIR . CAMPAIGN_DIR);
-define("CAMPAIGN_PATH", HTML_PATH . CAMPAIGN_DIR);
-define("CAMPAIGN_TEMPLATE_DIR", "include/campaign/");
-define("CAMPAIGN_TEMPLATE_PATH", USER_PATH . CAMPAIGN_TEMPLATE_DIR);
-define("CAMPAIGN_BLOC_DIR", "bloc/");
-define("CAMPAIGN_BLOC_PATH", CAMPAIGN_TEMPLATE_PATH . CAMPAIGN_BLOC_DIR);
-define("CAMPAIGN_TEMPLATE_ACTIVE", "active/");
-define("CAMPAIGN_TEMPLATE_END", "end/");
-
-// テンプレートファイル保存先
-define("USER_TEMPLATE_DIR", "templates/");
-define("USER_TEMPLATE_PATH", USER_PATH . USER_TEMPLATE_DIR);
-// テンプレートファイル一時保存先
-define("TEMPLATE_TEMP_DIR", HTML_PATH . "upload/temp_template/");
-
-// ユーザー作成画面のデフォルトPHPファイル
-define("USER_DEF_PHP", HTML_PATH . "__default.php");
-
-// その他画面のデフォルトページレイアウト
-define("DEF_LAYOUT", "products/list.php");
-
-// ダウンロードモジュール保存ディレクトリ
-define("MODULE_DIR", "downloads/module/");
-define("MODULE_PATH", DATA_PATH . MODULE_DIR);
-
-// HotFix保存ディレクトリ
-define("UPDATE_DIR", "downloads/update/");
-define("UPDATE_PATH", DATA_PATH . UPDATE_DIR);
-
-// クラスパス
-define("CLASS_PATH", DATA_PATH . "class/");
-
-// マスタデータキャッシュディレクトリ
-define("MASTER_DATA_DIR", DATA_PATH . "conf/cache/");
-//--------------------------------------------------------------------------------------------------------
-
-//--------------------------------------------------------------------------------------------------------
-/** アップデート管理用 **/
-// アップデート管理用ファイル格納場所　
-define("UPDATE_HTTP", "http://www.lockon.co.jp/share/");
-
-// アップデート管理用CSV1行辺りの最大文字数
-define("UPDATE_CSV_LINE_MAX", 4096);
-// アップデート管理用CSVカラム数
-define("UPDATE_CSV_COL_MAX", 13);
-// モジュール管理用CSVカラム数
-define("MODULE_CSV_COL_MAX", 16);
-//--------------------------------------------------------------------------------------------------------
-
-//--------------------------------------------------------------------------------------------------------
-/** モジュール管理用 **/
-// エビスタグ機能のモジュールID
-define("EBIS_TAG_MID", 1);
-// アフィリエイトタグ機能のモジュールID
-define("AFF_TAG_MID", 3);
-// 商品購入完了
-define("AFF_SHOPPING_COMPLETE", 1);
-// ユーザ登録完了
-define("AFF_ENTRY_COMPLETE", 2);
-// 決済受信用URL
-define("CREDIT_HTTP_DOMAIN", "http://rcv.ec-cube.net/");
-define("CREDIT_HTTP_ANALYZE_PROGRAM", "rcv_credit.php");
-define("CREDIT_HTTP_ANALYZE_URL", CREDIT_HTTP_DOMAIN . CREDIT_HTTP_ANALYZE_PROGRAM);
-//--------------------------------------------------------------------------------------------------------
-
-// 文字コード
-define("CHAR_CODE", "UTF-8");
-
-// EC-CUBEバージョン情報
-define("ECCUBE_VERSION", "1.5");
-
-// 決済モジュール付与文言
-define("ECCUBE_PAYMENT", "EC-CUBE");
-
-// PEAR::DBのデバッグモード
-define('PEAR_DB_DEBUG', 9);
-
-//バッチを実行する最短の間隔(秒)
-define("LOAD_BATCH_PASS", 3600);
-
-define("CLOSE_DAY", 31);	// 締め日の指定(末日の場合は、31を指定してください。)
-
-//一般サイトエラー
-define("FAVORITE_ERROR", 13);
-
-/** グラフ関連 **/
-
-define("LIB_DIR", DATA_PATH . "lib/");						// ライブラリのパス
-define("TTF_DIR", DATA_PATH . "fonts/");					// フォントのパス
-define("GRAPH_DIR", HTML_PATH . "upload/graph_image/");		// グラフ格納ディレクトリ
-define("GRAPH_URL", URL_DIR . "upload/graph_image/");		// グラフURL
-define("GRAPH_PIE_MAX", 10);								// 円グラフ最大表示数
-define("GRAPH_LABEL_MAX", 40);								// グラフのラベルの文字数
-
-/** パス関連 **/
-
-define("PDF_DIR", DATA_PATH . "pdf/");	// PDF格納ディレクトリ
-
-/** 売上げ集計 **/
-
-define("BAT_ORDER_AGE", 70);		// 何歳まで集計の対象とするか
-define("PRODUCTS_TOTAL_MAX", 15);	// 商品集計で何位まで表示するか
-
-/** デフォルト値 **/
-define("DEFAULT_PRODUCT_DISP", 2);	// 1:公開 2:非公開
-
-/** オプション設定 **/
-define("DELIV_FREE_AMOUNT", 0);				// 送料無料購入個数（0の場合は、何個買っても無料にならない)
-define("INPUT_DELIV_FEE", 1);				// 配送料の設定画面表示(有効:1 無効:0)
-define("OPTION_PRODUCT_DELIV_FEE", 0);		// 商品ごとの送料設定(有効:1 無効:0)
-define("OPTION_DELIV_FEE", 1);				// 配送業者ごとの配送料を加算する(有効:1 無効:0)
-define("OPTION_RECOMMEND", 1);		// おすすめ商品登録(有効:1 無効:0)
-define("OPTION_CLASS_REGIST", 1);	// 商品規格登録(有効:1 無効:0)
-
-define("TV_IMAGE_WIDTH",170);		//TV連動商品画像横
-define("TV_IMAGE_HEIGHT",95);		//TV連動商品画像縦
-define("TV_PRODUCTS_MAX",10);		//TV連動商品最大登録数
-
-/** オプション設定 **/
-//会員登録変更(マイページ)パスワード用
-define("DEFAULT_PASSWORD", "UAhgGR3L");
-//おすすめ商品数
-define ("RECOMMEND_PRODUCT_MAX", 6);
-
-//別のお届け先最大登録数
-define("DELIV_ADDR_MAX", 20);
-//閲覧履歴保存数
-define("CUSTOMER_READING_MAX",30);
-//SSLURL判定
-define("SSLURL_CHECK", 0);
-//管理画面ステータス一覧表示件数
-define("ORDER_STATUS_MAX", 50);
-//フロントレビュー書き込み最大数
-define("REVIEW_REGIST_MAX", 5);
-
-/*
- * サイト定義定数
- */
-/* システム関連 */
-define ('DEBUG_MODE', false);                           // デバッグモード(true：sfPrintRやDBのエラーメッセージを出力する、false：出力しない)
-define ("ADMIN_ID", "1");								// 管理ユーザID(メンテナンス用表示されない。)
-define ("CUSTOMER_CONFIRM_MAIL", false);				// 会員登録時に仮会員確認メールを送信するか（true:仮会員、false:本会員）
-define ("MELMAGA_SEND", true);							// メルマガ配信抑制(false:OFF、true:ON)
-define ("MELMAGA_BATCH_MODE", false);					// メイルマガジンバッチモード(true:バッチで送信する ※要cron設定、false:リアルタイムで送信する)
-define ("LOGIN_FRAME", "login_frame.tpl");				// ログイン画面フレーム
-define ("MAIN_FRAME", "main_frame.tpl");				// 管理画面フレーム
-define ("SITE_FRAME", "site_frame.tpl");				// 一般サイト画面フレーム
-define ("CERT_STRING", "7WDhcBTF");						// 認証文字列
-define ("DUMMY_PASS", "########");						// ダミーパスワード
-define ("UNLIMITED", "++");								// 在庫数、販売制限無限を示す。
-define ("BIRTH_YEAR", 1901);							// 生年月日登録開始年
-define ("RELEASE_YEAR", 2005);							// 本システムの稼働開始年
-define ("CREDIT_ADD_YEAR", 10);							// クレジットカードの期限＋何年
-define ("PARENT_CAT_MAX", 12);							// 親カテゴリのカテゴリIDの最大数（これ以下は親カテゴリとする。)
-define ("NUMBER_MAX", 1000000000);						// GET値変更などのいたずらを防ぐため最大数制限を設ける。
-define ("POINT_RULE", 2);								// ポイントの計算ルール(1:四捨五入、2:切り捨て、3:切り上げ)
-define ("POINT_VALUE", 1);								// 1ポイント当たりの値段(円)
-define ("ADMIN_MODE", 0);								// 管理モード 1:有効　0:無効(納品時)
-define ("DAILY_BATCH_MODE", false);						// 売上集計バッチモード(true:バッチで集計する ※要cron設定、false:リアルタイムで集計する)
-define ("MAX_LOG_QUANTITY", 5);							// ログファイル最大数(ログテーション)
-define ("MAX_LOG_SIZE", "1000000");						// 1つのログファイルに保存する最大容量(byte)
-define ("TRANSACTION_ID_NAME", "transactionid");        // トランザクションID の名前
-
-define ("FORGOT_MAIL", 0);								// パスワード忘れの確認メールを送付するか否か。(0:送信しない、1:送信する)
-define ("HTML_TEMPLATE_SUB_MAX", 12);					// 登録できるサブ商品の数
-define ("LINE_LIMIT_SIZE", 60);							// 文字数が多すぎるときに強制改行するサイズ(半角)
-define ("BIRTH_MONTH_POINT", 0);						// 誕生日月ポイント
-
-/* クレジットローン(セントラルファイナンス) */
-define ("CF_HOMEADDR", "https://cf.ufit.ne.jp/dotcredit");					// ホームアドレス
-define ("CF_STORECODE", "");												// 加盟店コード(ハイフンなしで）
-// define ("CF_HOMEADDR", "https://cf.ufit.ne.jp/dotcredittest");				// ホームアドレス(テスト用)
-// define ("CF_STORECODE", "111111111111111");									// 加盟店コード(テスト用)
-
-define ("CF_SIMULATE", "/simulate/simulate.cgi");							// シュミレーション呼び出し
-// define ("CF_RETURNURL", SSL_URL . "shopping/loan.php");					// 戻り先 ショッピングローンは次期開発
-// define ("CF_CANCELURL", SSL_URL . "shopping/loan_cancel.php");			// 戻り先 ショッピングローンは次期開発
-define ("CF_CONTINUE", "1");												// 呼び出し区分(0:シュミレーションのみ、1:シュミレーション+申込)
-define ("CF_LABOR", "0");													// 役務有無区分(0:無、1:有)
-define ("CF_RESULT", "1");													// 結果応答(1:結果あり、2:結果なし)
-
-/* クレジットカード(ベリトランス) */
-define ("CGI_DIR", HTML_PATH . "../cgi-bin/");									// モジュール格納ディレクトリ
-define ("CGI_FILE", "mauthonly.cgi");										// コアCGI
-
-// ルートカテゴリID
-define ("ROOT_CATEGORY_1", 2);
-define ("ROOT_CATEGORY_2", 3);
-define ("ROOT_CATEGORY_3", 4);
-define ("ROOT_CATEGORY_4", 5);
-define ("ROOT_CATEGORY_5", 6);
-define ("ROOT_CATEGORY_6", 7);
-define ("ROOT_CATEGORY_7", 8);
-
-// お支払い方法特殊ID
-//define ("PAYMENT_DAIBIKI_ID",1);		// 代金引換
-//define ("PAYMENT_GINFURI_ID", 2);		// 銀行振込
-//define ("PAYMENT_KAKITOME_ID", 3);		// 現金書留
-//define ("PAYMENT_LOAN_ID", 5);			// ショッピングローン
-define ("PAYMENT_CREDIT_ID",1);			// クレジットカード
-define ("PAYMENT_CONVENIENCE_ID", 2);	// コンビニ決済
-
-define("LARGE_IMAGE_WIDTH",  500);						// 拡大画像横
-define("LARGE_IMAGE_HEIGHT", 500);						// 拡大画像縦
-define("SMALL_IMAGE_WIDTH",  130);						// 一覧画像横
-define("SMALL_IMAGE_HEIGHT", 130);						// 一覧画像縦
-define("NORMAL_IMAGE_WIDTH",  260);						// 通常画像横
-define("NORMAL_IMAGE_HEIGHT", 260);						// 通常画像縦
-define("NORMAL_SUBIMAGE_WIDTH", 200);					// 通常サブ画像横
-define("NORMAL_SUBIMAGE_HEIGHT", 200);					// 通常サブ画像縦
-define("LARGE_SUBIMAGE_WIDTH", 500);					// 拡大サブ画像横
-define("LARGE_SUBIMAGE_HEIGHT", 500);					// 拡大サブ画像縦
-define("DISP_IMAGE_WIDTH",  65);						// 一覧表示画像横
-define("DISP_IMAGE_HEIGHT", 65);						// 一覧表示画像縦
-define("OTHER_IMAGE1_WIDTH", 500);						// その他の画像1
-define("OTHER_IMAGE1_HEIGHT", 500);						// その他の画像1
-define("HTMLMAIL_IMAGE_WIDTH",  110);					// HTMLメールテンプレートメール担当画像横
-define("HTMLMAIL_IMAGE_HEIGHT", 120);					// HTMLメールテンプレートメール担当画像縦
-
-define("IMAGE_SIZE", 1000);								// 画像サイズ制限(KB)
-define("CSV_SIZE", 2000);								// CSVサイズ制限(KB)
-define("CSV_LINE_MAX", 10000);							// CSVアップロード1行あたりの最大文字数
-define("PDF_SIZE", 5000);								// PDFサイズ制限(KB):商品詳細ファイル等
-define("FILE_SIZE", 10000);								// ファイル管理画面アップ制限(KB)
-define("TEMPLATE_SIZE", 10000);							// アップできるテンプレートファイル制限(KB)
-define("LEVEL_MAX", 5);									// カテゴリの最大階層
-define("CATEGORY_MAX", 1000);							// 最大カテゴリ登録数
-
-/* 表示関連 */
-define ("ADMIN_TITLE", "ECサイト管理ページ");			// 管理ページタイトル
-define ("SELECT_RGB", "#ffffdf");						// 編集時強調表示色
-define ("DISABLED_RGB", "#C9C9C9");						// 入力項目無効時の表示色
-define ("ERR_COLOR", "#ffe8e8");						// エラー時表示色
-define ("CATEGORY_HEAD", ">");							// 親カテゴリ表示文字
-define ("START_BIRTH_YEAR", 1901);						// 生年月日選択開始年
-// 価格名称
-define("NORMAL_PRICE_TITLE","通常価格");
-define("SALE_PRICE_TITLE","販売価格");
-
-/* システムパス */
-define ("LOG_PATH", DATA_PATH . "logs/site.log");							// ログファイル
-define ("CUSTOMER_LOG_PATH", DATA_PATH . "logs/customer.log");				// 会員ログイン ログファイル
-define ("TEMPLATE_ADMIN_DIR", DATA_PATH . "Smarty/templates/admin");		// SMARTYテンプレート
-define ("TEMPLATE_DIR", DATA_PATH . "Smarty/templates");					// SMARTYテンプレート
-define ("COMPILE_ADMIN_DIR", DATA_PATH . "Smarty/templates_c/admin");		// SMARTYコンパイル
-define ("COMPILE_DIR", DATA_PATH . "Smarty/templates_c");					// SMARTYコンパイル
-
-define ("TEMPLATE_FTP_DIR", USER_PATH . "templates/");			// SMARTYテンプレート(FTP許可)
-define ("COMPILE_FTP_DIR", DATA_PATH . "Smarty/templates_c/user_data/");	// SMARTYコンパイル
-
-define ("IMAGE_TEMP_DIR", HTML_PATH . "upload/temp_image/");				// 画像一時保存
-define ("IMAGE_SAVE_DIR", HTML_PATH . "upload/save_image/");				// 画像保存先
-define ("IMAGE_TEMP_URL", URL_DIR . "upload/temp_image/");					// 画像一時保存URL
-define ("IMAGE_SAVE_URL", URL_DIR . "upload/save_image/");					// 画像保存先URL
-define ("IMAGE_TEMP_URL_RSS", SITE_URL . "upload/temp_image/");				// RSS用画像一時保存URL
-define ("IMAGE_SAVE_URL_RSS", SITE_URL . "upload/save_image/");				// RSS用画像保存先URL
-define ("CSV_TEMP_DIR", HTML_PATH . "upload/csv/");							// エンコードCSVの一時保存先
-define ("NO_IMAGE_URL", URL_DIR . "misc/blank.gif");						// 画像がない場合に表示
-define ("NO_IMAGE_DIR", HTML_PATH . "misc/blank.gif");						// 画像がない場合に表示
-
-/* URLパス */
-define ("URL_SYSTEM_TOP", URL_DIR . "admin/system/index.php");			// システム管理トップ
-define ("URL_CLASS_REGIST", URL_DIR . "admin/products/class.php");		// 規格登録
-define ("URL_INPUT_ZIP", URL_DIR . "input_zip.php");					// 郵便番号入力
-define ("URL_DELIVERY_TOP", URL_DIR . "admin/basis/delivery.php");		// 配送業者登録
-define ("URL_PAYMENT_TOP", URL_DIR . "admin/basis/payment.php");		// 支払い方法登録
-define ("URL_CONTROL_TOP", URL_DIR . "admin/basis/control.php");		// サイト管理情報登録
-define ("URL_HOME", URL_DIR . "admin/home.php");						// ホーム
-define ("URL_LOGIN", URL_DIR . "admin/index.php");						// ログインページ
-define ("URL_SEARCH_TOP", URL_DIR . "admin/products/index.php");		// 商品検索ページ
-define ("URL_ORDER_EDIT", URL_DIR . "admin/order/edit.php");			// 注文編集ページ
-define ("URL_SEARCH_ORDER", URL_DIR . "admin/order/index.php");			// 注文編集ページ
-define ("URL_ORDER_MAIL", URL_DIR . "admin/order/mail.php");			// 注文編集ページ
-define ("URL_LOGOUT", URL_DIR . "admin/logout.php");					// ログアウトページ
-define ("URL_SYSTEM_CSV", URL_DIR . "admin/system/member_csv.php");		// システム管理CSV出力ページ
-define ("URL_ADMIN_CSS", URL_DIR . "admin/css/");						// 管理ページ用CSS保管ディレクトリ
-define ("URL_CAMPAIGN_TOP", URL_DIR . "admin/contents/campaign.php");	// キャンペーン登録ページ
-define ("URL_CAMPAIGN_DESIGN", URL_DIR . "admin/contents/campaign_design.php");		// キャンペーンデザイン設定ページ
-
-/* 認証エラー */
-define ("SUCCESS", 0);			// アクセス成功
-define ("LOGIN_ERROR", 1);		// ログイン失敗
-define ("ACCESS_ERROR", 2);		// アクセス失敗（タイムアウト等）
-define ("AUTH_ERROR", 3);		// アクセス権限違反
-define ("INVALID_MOVE_ERRORR", 4); // 不正な遷移エラー
-
-/* 表示数制限 */
-define ("PRODUCTS_LIST_MAX", 15);	// 商品一覧表示数
-define ("MEMBER_PMAX", 10);			// メンバー管理ページ表示行数
-define ("SEARCH_PMAX", 10);			// 検索ページ表示行数
-define ("NAVI_PMAX", 5);			// ページ番号の最大表示個数
-define ("PRODUCTSUB_MAX", 5);		// 商品サブ情報最大数
-define ("DELIVTIME_MAX", 16);		// 配送時間の最大表示数
-define ("DELIVFEE_MAX", 47);		// 配送料金の最大表示数
-
-/* 文字数制限 */
-define ("STEXT_LEN", 50);		// 短い項目の文字数（名前など)
-define ("SMTEXT_LEN", 100);
-define ("MTEXT_LEN", 200);		// 長い項目の文字数（住所など）
-define ("MLTEXT_LEN", 1000);	// 長中文の文字数（問い合わせなど）
-define ("LTEXT_LEN", 3000);		// 長文の文字数
-define ("LLTEXT_LEN", 99999);	// 超長文の文字数（メルマガなど）
-define ("URL_LEN", 300);		// URLの文字長
-define ("ID_MAX_LEN", 15);		// ID・パスワードの文字数制限
-define ("ID_MIN_LEN", 4);		// ID・パスワードの文字数制限
-define ("PRICE_LEN", 8);		// 金額桁数
-define ("PERCENTAGE_LEN", 3);	// 率桁数
-define ("AMOUNT_LEN", 6);		// 在庫数、販売制限数
-define ("ZIP01_LEN", 3);		// 郵便番号1
-define ("ZIP02_LEN", 4);		// 郵便番号2
-define ("TEL_ITEM_LEN", 6);		// 電話番号各項目制限
-define ("TEL_LEN", 12);			// 電話番号総数
-define ("PASSWORD_LEN1", 4);	// パスワード1
-define ("PASSWORD_LEN2", 10);	// パスワード2
-define ("INT_LEN", 8);			// 検査数値用桁数(INT)
-define ("CREDIT_NO_LEN", 4);		// クレジットカードの文字数
-define ("SEARCH_CATEGORY_LEN", 18);	// 検索カテゴリ最大表示文字数(byte)
-define ("FILE_NAME_LEN", 10);		// ファイル名表示文字数
-
-/** フロントページ **/
-
-/* システム関連 */
-define ("SALE_LIMIT_MAX", 10);		// 購入制限なしの場合の最大購入個数
-define ("SITE_TITLE", "ＥＣ-ＣＵＢＥ  テストサイト");	// HTMLタイトル
-define ("COOKIE_EXPIRE", 365);		// クッキー保持期限(日)
-define ("FREE_DIAL", "");
-
-/* 一般サイトエラー */
-define ("PRODUCT_NOT_FOUND", 1);	// 指定商品ページがない
-define ("CART_EMPTY", 2);			// カート内が空
-define ("PAGE_ERROR", 3);			// ページ推移エラー
-define ("CART_ADD_ERROR", 4);		// 購入処理中のカート商品追加エラー
-define ("CANCEL_PURCHASE", 5);		// 他にも購入手続きが行われた場合
-define ("CATEGORY_NOT_FOUND", 6);	// 指定カテゴリページがない
-define ("SITE_LOGIN_ERROR", 7);		// ログインに失敗
-define ("CUSTOMER_ERROR", 8);		// 会員専用ページへのアクセスエラー
-define ("SOLD_OUT", 9);				// 購入時の売り切れエラー
-define ("CART_NOT_FOUND", 10);		// カート内商品の読込エラー
-define ("LACK_POINT", 11);			// ポイントの不足
-define ("TEMP_LOGIN_ERROR", 12);	// 仮登録者がログインに失敗
-define ("URL_ERROR", 13);			// URLエラー
-define ("EXTRACT_ERROR", 14);		// ファイル解凍エラー
-define ("FTP_DOWNLOAD_ERROR", 15);	// FTPダウンロードエラー
-define ("FTP_LOGIN_ERROR", 16);		// FTPログインエラー
-define ("FTP_CONNECT_ERROR", 17);	// FTP接続エラー
-define ("CREATE_DB_ERROR", 18);		// DB作成エラー
-define ("DB_IMPORT_ERROR", 19);		// DBインポートエラー
-define ("FILE_NOT_FOUND", 20);		// 設定ファイル存在エラー
-define ("WRITE_FILE_ERROR", 21);	// 書き込みエラー
-define ("FREE_ERROR_MSG", 999);		// フリーメッセージ
-
-/* 表示関連 */
-define ("SEPA_CATNAVI", " > ");	// カテゴリ区切り文字
-define ("SEPA_CATLIST", " | ");	// カテゴリ区切り文字
-
-/* URL */
-define ("URL_SHOP_TOP", SSL_URL . "shopping/index.php");						// 会員情報入力
-define ("URL_ENTRY_TOP", SSL_URL . "entry/index.php");	 						// 会員登録ページTOP
-define ("URL_SITE_TOP", URL_DIR . "index.php");									// サイトトップ
-define ("URL_CART_TOP", URL_DIR . "cart/index.php");							// カートトップ
-define ("URL_DELIV_TOP", URL_DIR . "shopping/deliv.php");						// 配送時間設定
-define ("URL_MYPAGE_TOP", SSL_URL . "mypage/login.php");						// Myページトップ
-define ("URL_SHOP_CONFIRM", URL_DIR . "shopping/confirm.php");					// 購入確認ページ
-define ("URL_SHOP_PAYMENT", URL_DIR . "shopping/payment.php");					// お支払い方法選択ページ
-define ("URL_SHOP_COMPLETE", URL_DIR . "shopping/complete.php");				// 購入完了画面
-define ("URL_SHOP_CREDIT", URL_DIR . "shopping/card.php");						// カード決済画面
-define ("URL_SHOP_LOAN", URL_DIR . "shopping/loan.php");						// ローン決済画面
-define ("URL_SHOP_CONVENIENCE", URL_DIR . "shopping/convenience.php");			// コンビニ決済画面
-define ("URL_SHOP_MODULE", URL_DIR . "shopping/load_payment_module.php");		// モジュール追加用画面
-define ("URL_PRODUCTS_TOP", URL_DIR . "products/top.php");						// 商品トップ
-define ("LIST_P_HTML", URL_DIR . "products/list-p");							// 商品一覧(HTML出力)
-define ("LIST_C_HTML", URL_DIR . "products/list.php?mode=search&category_id=");	// 商品一覧(HTML出力)
-define ("DETAIL_P_HTML", URL_DIR . "products/detail.php?product_id=");			// 商品詳細(HTML出力)
-define ("MYPAGE_DELIVADDR_URL", URL_DIR . "mypage/delivery.php");				// マイページお届け先URL
-
-/*　メールアドレス種別　*/
-define ("MAIL_TYPE_PC",1);
-define ("MAIL_TYPE_MOBILE",2);
-
-/* 受注ステータス */
-define ("ORDER_NEW",1);	 		// 新規注文
-define ("ORDER_PAY_WAIT",2);	// 入金待ち
-define ("ORDER_PRE_END",6);		// 入金済み
-define ("ORDER_CANCEL",3);		// キャンセル
-define ("ORDER_BACK_ORDER",4);	// 取り寄せ中
-define ("ORDER_DELIV",5);		// 発送済み
-
-// 受注ステータス変更の際にポイント等を加算するステータス番号（発送済み）
-define("ODERSTATUS_COMMIT", ORDER_DELIV);
-
-/* 新着情報管理画面 */
-define ("ADMIN_NEWS_STARTYEAR", 2005);	// 開始年(西暦)
-
-/* 会員登録 */
-define("ENTRY_CUSTOMER_TEMP_SUBJECT", "会員仮登録が完了いたしました。");
-define("ENTRY_CUSTOMER_REGIST_SUBJECT", "本会員登録が完了いたしました。");
-define("ENTRY_LIMIT_HOUR", 1);		//再入会制限時間（単位: 時間)
-
-// オススメ商品表示数
-define("RECOMMEND_NUM", 8);			// オススメ商品
-define ("BEST_MAX", 5);				// ベスト商品の最大登録数
-define ("BEST_MIN", 3);				// ベスト商品の最小登録数（登録数が満たない場合は表示しない。)
-
-/* 配達可能な日付以降のプルダウン表示最大日数 */
-define("DELIV_DATE_END_MAX", 21);
-
-/* 購入時強制会員登録 */
-define("PURCHASE_CUSTOMER_REGIST", 0);	//1:有効　0:無効
-
-/* この商品を買った人はこんな商品も買っています　表示件数 */
-define("RELATED_PRODUCTS_MAX", 3);
-
-//支払期限
-define("CV_PAYMENT_LIMIT", 14);
-
-/*--------- ▲コンビニ決済用 ---------*/
-
-//キャンペーン登録最大数
-define("CAMPAIGN_REGIST_MAX", 20);
-
-/*--------- ▲商品レビュー用 ---------*/
-// 商品レビューでURL書き込みを許可するか否か
-define ('REVIEW_ALLOW_URL', false);
-
-/*--------- ▲トラックバック用 ---------*/
-
-define ("TRACKBACK_STATUS_VIEW", 1);		// 表示
-define ("TRACKBACK_STATUS_NOT_VIEW", 2);	// 非表示
-define ("TRACKBACK_STATUS_SPAM", 3);		// スパム
-
-define ("TRACKBACK_VIEW_MAX", 10);			// フロント最大表示数
-define ("TRACKBACK_TO_URL", SITE_URL . "tb/index.php?pid=");	// トラックバック先URL
-
-/*--------- ▲サイト管理用 ---------*/
-
-define ("SITE_CONTROL_TRACKBACK", 1);		// トラックバック
-define ("SITE_CONTROL_AFFILIATE", 2);		// アフィリエイト
+if (is_file($CONF_PHP_PATH . "/cache/mtb_constants.php")) {
+    require_once($CONF_PHP_PATH . "/cache/mtb_constants.php");
+} else {
+    // TODO インストーラで設定する
+}
 
 /*--------- ▲View管理用 ---------*/